//
//  ASRAppDelegate.m
//  ETSINF-UPV
//
//  Created by Alberto Saez on 02/08/13.
//  Copyright (c) 2013 Alberto Saez. All rights reserved.
//

#import "ASRAppDelegate.h"
#import "InfoViewController.h"
#import "MapViewController.h"
#import "AcademicViewController.h"
#import "EtsinfViewController.h"
#import "ContactViewController.h"

@implementation ASRAppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    //Info view
    InfoViewController *info = [[InfoViewController alloc] init];
    UINavigationController *navControllerHome = [[UINavigationController alloc] initWithRootViewController:info];
    [[navControllerHome navigationBar] setBarStyle:UIBarStyleBlackTranslucent];
//    [[navControllerHome tabBarItem] setTitle:@"Home"];
    [[navControllerHome tabBarItem] setImage:[UIImage imageNamed:@"home.png"]];
//    [[[navControllerHome navigationBar] backItem] setTitle:@"pelotas"];
    //Map view
    MapViewController *map = [[MapViewController alloc] init];
    
    //Academic info view
    AcademicViewController *academic = [[AcademicViewController alloc] init];
    UINavigationController *navControllerAcademic = [[UINavigationController alloc] initWithRootViewController:academic];
    [[navControllerAcademic navigationBar] setBarStyle:UIBarStyleBlackTranslucent];
//    [[navControllerAcademic tabBarItem] setTitle:@"Academic Information"];
    [[navControllerAcademic tabBarItem] setImage:[UIImage imageNamed:@"pin.png" ]];
    
    //ETSINF view
    EtsinfViewController *etsinf = [[EtsinfViewController alloc] init];
    UINavigationController *navControllerEtsinf = [[UINavigationController alloc] initWithRootViewController:etsinf];
    [[navControllerEtsinf navigationBar] setBarStyle:UIBarStyleBlackTranslucent];
//    [[navControllerEtsinf tabBarItem] setTitle:@"ETSINF"];
    [[navControllerEtsinf tabBarItem] setImage:[UIImage imageNamed:@"logo_etsinf_trans.png"]];
    
    //Contact view
    ContactViewController *contact = [[ContactViewController alloc] init];
    
    //TabBar
    UITabBarController *tabBarController = [[UITabBarController alloc] init];
    NSArray *viewControllers = [NSArray arrayWithObjects:navControllerHome, map, navControllerAcademic, navControllerEtsinf, contact, nil];
    [tabBarController setViewControllers:viewControllers];
    [[self window] setRootViewController:tabBarController];
    
    //NI PUTA IDEA
    [self resignFirstResponder];
    [info becomeFirstResponder];
    //*******
    
    self.window.backgroundColor = [UIColor whiteColor];
    [self.window makeKeyAndVisible];
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
