//
//  EntitiesViewController.m
//  ETSINF-UPV
//
//  Created by Alberto Saez on 19/08/13.
//  Copyright (c) 2013 Alberto Saez. All rights reserved.
//

#import "CoursesViewController.h"
#import "ETSINFDetailViewController.h"

@implementation CoursesViewController

- (id)init
{
    self = [super initWithStyle:UITableViewStyleGrouped];
    if (self)
    {
        [[self navigationItem] setTitle:NSLocalizedString(@"Courses", @"title of view Courses")];
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    UIBarButtonItem *backButton = [UIBarButtonItem new];
    [backButton setTitle:NSLocalizedString(@"Courses",@"")];
    [backButton setTintColor:[UIColor colorWithRed:212/255.0 green:0 blue:102/255.0 alpha:1]];
    [[self navigationItem] setBackBarButtonItem:backButton];
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    ETSINFDetailViewController *detail = [[ETSINFDetailViewController alloc] init];
    [detail setItem:[indexPath row]+20];
    [[self navigationController] pushViewController:detail animated:YES];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"UITableViewCell"];
    
    if (!cell)
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"UITableViewCell"];
    
    switch ([indexPath row]) {
        case 0:
            [[cell textLabel] setText:NSLocalizedString(@"PLEASE READ CAREFULLY",@"")];
            break;
        case 1:
            [[cell textLabel] setText:NSLocalizedString(@"Courses in English",@"")];
            break;
        case 2:
            [[cell textLabel] setText:NSLocalizedString(@"Courses - 110 II",@"")];
            break;
        case 3:
            [[cell textLabel] setText:NSLocalizedString(@"Courses - 156 GII",@"")];
            break;
        case 4:
            [[cell textLabel] setText:NSLocalizedString(@"Courses - 2180 MUGI",@"")];
            break;
        case 5:
            [[cell textLabel] setText:NSLocalizedString(@"Courses ETSINF free election",@"")];
            break;
        default:
            break;
    }
    [[cell textLabel] setTextColor:[UIColor colorWithRed:212/255.0 green:0 blue:102/255.0 alpha:1]];
    [cell setSelectionStyle:UITableViewCellSelectionStyleGray];
    
    return cell;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 5;
}

@end
