//
//  DetailViewController.m
//  ETSINF-UPV
//
//  Created by Alberto Saez on 03/08/13.
//  Copyright (c) 2013 Alberto Saez. All rights reserved.
//

#import "DetailViewController.h"

NSString *cityValencia = @"";
NSString *upv = @"\n\n\n";
NSString *preparingStay = @"\n\n\n";
NSString *services = @"\n\n\n";
NSString *usefulInfo = @"\n\n\n";

@implementation DetailViewController
@synthesize item, itemSection, maps;

/*- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:@"DetailViewController" bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}*/

- (void)viewDidLoad
{
    [super viewDidLoad];
    UITapGestureRecognizer *tapGesture = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(changeNavigationBar)];
    [self.view addGestureRecognizer:tapGesture];
	// Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    
        if (maps) { //Section 0
            switch (item) {
                case 0: //UPV Map
                {
                    [[self navigationItem] setTitle:@"UPV map"];
                    CGRect rect = [[UIScreen mainScreen] bounds];
                    CGSize screenSize = rect.size;
                    UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0,0,screenSize.width,screenSize.height-49)];
                    [webView autoresizesSubviews];
                    webView.autoresizingMask=(UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth);
                    NSString *path = [[NSBundle mainBundle] pathForResource:@"plano_upv" ofType:@"pdf"];
                    NSURL *targetURL = [NSURL fileURLWithPath:path];
                    NSURLRequest *request = [NSURLRequest requestWithURL:targetURL];
                    [webView loadRequest:request];
                    [webView setScalesPageToFit:YES];
                    [[self view] addSubview:webView];
                    break;
                }
                case 1: //Metro Map
                {
                    [[self navigationItem] setTitle:@"Metrovalencia map"];
                    CGRect rect = [[UIScreen mainScreen] bounds];
                    CGSize screenSize = rect.size;
                    UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0,0,screenSize.width,screenSize.height-49)];
                    [webView autoresizesSubviews];
                    webView.autoresizingMask=(UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth);
                    NSString *path = [[NSBundle mainBundle] pathForResource:@"plano_metro" ofType:@"pdf"];
                    NSURL *targetURL = [NSURL fileURLWithPath:path];
                    NSURLRequest *request = [NSURLRequest requestWithURL:targetURL];
                    [webView loadRequest:request];
                    [webView setScalesPageToFit:YES];
                    [[self view] addSubview:webView];
                    break;
                }
                case 2: //Valenbisi
                {
                    [[self navigationItem] setTitle:@"Valenbisi map"];
                    CGRect rect = [[UIScreen mainScreen] bounds];
                    CGSize screenSize = rect.size;
                    UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0,0,screenSize.width,screenSize.height-49)];
                    [webView autoresizesSubviews];
                    webView.autoresizingMask=(UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth);
                    NSString *path = [[NSBundle mainBundle] pathForResource:@"plano_valenbisi" ofType:@"pdf"];
                    NSURL *targetURL = [NSURL fileURLWithPath:path];
                    NSURLRequest *request = [NSURLRequest requestWithURL:targetURL];
                    [webView loadRequest:request];
                    [webView setScalesPageToFit:YES];
                    [[self view] addSubview:webView];
                    break;
                }
                default:
                    break;
            }
    } else { //Section 1
        switch (itemSection) {
            case 0:
                switch (item) {
                    case 0:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Origins", @"")];
                        [detailTextView setText:NSLocalizedString(@"The city of Valencia is the capital of the Valencia Community and the province of Valencia. It is located in the east of Spain, on the shore of the Mediterranean Sea. The city is considered the third largest city of Spain, according to its population rate, 1.556.691 inhabitants.\nThe province of Valencia has an area of approximately 10,807 km2. Inland, you can find mountainous areas whilst on the coast the land is completely flat, and has many beaches as well as a big lake called “La Albufera”.\nDue to its characteristics and infrastructure, Valencia and outskirts are one of the most attractive cities in Spain. Its climate is pleas- ing during the whole year, with more than 300 sunny days per year, and an average tempera- ture of 16.7oC.\n\nOrigins:\n\nValencia was founded by the Romans in 138 BC, and named “Valentia”, which has remained up to the present day. Valencia has seen a variety of different cultures through- out its long history: The Romans, the Visigoths and the Moors made the city an important centre of culture and finance. In the year 1094, “El Cid Campeador” con- quered Valencia from the Moors; however in 1102 it was re-conquered by the Moors. Finally in 1238, Jaume I de Aragon re-con- quered the city for good.\nDuring the 15th and 16th centuries, it became one of the great economic forces of the Mediterranean; this period is known as “Valencia Golden Century”, which emphasises its artistic splendour. During the second half of the 19th century, Valencia became the bas- tion of Republican and Socialist ideas.\nIn the Civil War, it was converted into the Republican Capital after the removal of the government from Madrid (1937-1939). Since 1982 it has been the capital of the Valencian Region.\nNowadays Valencia is a modern and cosmo- politan city hosting many international events.", @"")];
                        break;
                    case 1:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Communications", @"")];
                        [detailTextView setText:NSLocalizedString(@"The city has excellent transport links. There are different ways to access the city of Valencia.\n\nBy plane\nThe international airport of Valencia (VLC) is based in the town of Manises which is about 8 kilometres west of the city. The airport offers daily flights to major Spanish cities and over- seas. There are also a great number of flights which go to Barcelona and Madrid as a con- nection with other flights.\nAirport Information: & (+34) 96 159 85 00 & 96 370 95 00\nMore information:\nwww.aena.es\nFrom the airport to the city, you can take:\n\nA taxi:\nFrom the city centre to the airport, it may cost you about 17 €, however this price varies, depending on the traffic or route taken, etc.\n\nBy metro:\nThere is a new metro line (no5) connecting the airport to the city centrewith a supplement in the price.\nMore information:\nwww.metrovalencia.com\n\nBy bus:\nThere is also a bus route that goes to the air- port; it is the yellow bus service from the CVT Company, bus number 30, which runs every day except Sundays and bank holidays. It costs 1.70 € and connects the airport and the bus station which is situated in C/Menéndez Pidal 13.Tel: +(34) 963 466 266\n\nRoad network:\nValencia is connected with the rest of Europe through the Mediterranean highway\n(A-7 or E-15) and the national roads N-III (E- 901), N-332, N-340 and N-234 and the A3 Valencia-Madrid.There are also daily bus services to the rest of Spain and Europe from the BUS station, which address is: Calle Menéndez Pidal 13, Valencia & (+34) 96 346 62 66\n\nTrains:\nValencia has two train stations, next to each other, each one for two types of trips, the sta- tion Valencia Joaquín Sorolla and the station Valencia Nord. The station Valencia Joaquín Sorolla has the following long distance routes: Madrid, Barcelona, Alicante, Castellón and Albacete.\nThe Valencia Nord station attends the other routes and the ones of half distance and its sourrounding area.The AVE or train of High Speed joins Madrid and Valencia in one hour and a half from last December 2010. This train arrives to the sta- tion Joaquín Sorolla of Valencia located in the number 171 of the street of Saint Vicente Martir.\nThe way between the two stations can be walked whithin 10 minutes or taking a Renfe bus for free only by showing the ticket of train.\nThe Valencia Estación del Norte is found in the city centre in la Xativa Street, and Marqués de Sotelo Street.\nIt offers daily train services to Spanish and European cities. The train service is run by RENFE company; the information phone line is:(+34) 902 240 202 8 www.renfe.es\nYou can get to different parts of the province by using the Valencian public railway line (FGV).\nFor further information: & (+34) 96 397 40 40. www.renfe.es \n\nSea connections:\nThe port of Valencia is 4 km away from the city centre, it is very important in terms of trade and transport for travellers.\nFurther information:Maritime Station: & (+34) 96 393 95 00 Maritime Company TRANSMEDITERRÁNEA: & (+34) 902 45 46 45. www.transmediterranea.es", @"")];
                        break;
                    case 2:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Public transport", @"")];
                        [detailTextView setText:NSLocalizedString(@"Buses\nThe Municipal Transport Company EMT runs the bus service in the city. There are over 51 routes connecting different zones. All the EMT buses are red coloured.\nA bus ticket costs about 1.30 €, which you pay as you get on the bus. You can buy a “Bono- bus” which is simply a bus voucher that can be purchased in the kiosk or in most tobacconists and newsagents. The “bono-Bus” ticket will give you 10 journeys for about 6.95 €. There is also one for the month.\nThe timetable can vary from route to route, but they normally run from 5:30 a.m. to 23:00 p.m. they run approximately every 10 to 20 minutes. Also, there is a night bus service (seven routes), available from 11.00 am until 3.00 am, which runs every 45 minutes.\nEMT service also publishes a map of the city which shows all the routes their buses take, timetables and other useful information.\n\nMore information:\nEMPRESA MUNICIPAL DE TRANSPORTES (EMT)\n Plaza Correo Viejo, 5, TEL: (+34) 96 315 85 15. www.emtvalencia.com.\n\nThere is also a bus service for disabled people. For further information phone:TEL (+34) 96 315 85 25.\nThe buses which go to the Vera Campus Site are: 9, 18, 29, 30, 31, 40, 41 and 71.\n\nMetro / Tramv\n\nThe city of Valencia has a Metro network of five lines which connect different parts of the city. It runs from 5:00 a.m. to 23:00 p.m. Line 4 is a modern Tram, which runs by our Campus de Vera.\nYou can buy a single ticket at any station, nor- mally the ticket costs approximately 1.40 €, if you are going to travel within the urban zone. You can also get a ticket which lasts for 10 Trips called a “Bono-metro”, these tickets can be bought at any metro station, most Kiosks and Tobacconists. The prices range from 6.50 € if you are staying inside one zone, to 18.00 € depending on the zones you are travelling to.\nThere is a 30-days Card, called TAT, which can be used for Metro only; this ticket offers unlimited trips in the zone you required.\nThe price ranges from 27.60 to 46.80 €, depending on the zones you are going to travel to with Carnet Jove or Under 25 Card.\nFor further information: TEL 900 46 10 46. www.metrovalencia.com\n\nCombined tickets:\n\nCombined tickets allow travelling on the EMT bus service and the FGV tram and metro lines, within the “urban zone” of central Valencia. There are different kinds of tickets available:\nYou will find more information in the metro information desks and at:www.metrovalencia.com .\n\nTaxi\n\nDifferent companies offer a taxi service. Prices vary depending on the zone and distance. The price shows up on the taximeter. Minimum charge is 4.40 € and 6.00 € during night and festivities.\nThe main taxi companies which operate in Valencia are:\nRadio-Taxi:TEL 96 370 33 33 & Tele-Taxi:TEL 96 357 13 13.\n\nBicycle\n\nThe city of Valencia has introduced a public service for bikes rental since June 2010. This service is called Valenbisi, and sponsored by the City Hall.Valenbisi is available 24 hours a day 365 days a year.\nMore information in: http://www.valenbisi.es ", @"")];
                        break;
                    case 3:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Living in Valencia", @"")];
                        [detailTextView setText:NSLocalizedString(@"Weather\n\nValencia enjoys a mild temperate Mediterranean climate. The average tempera- ture throughout the year is 17oC, with warm summers and very mild winters, rarely below 10oC. There is only light rainfall mainly in autumn and at the beginning of spring.", @"")];
                        break;
                    case 4:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Places to visit", @"")];
                        [detailTextView setText:NSLocalizedString(@"In the web page of the Tourism Office of the City of Valencia you can find detailed informa- tion about monuments, gardens, museums and other interesting places to visit here in Valencia: www.turisvalencia.es\n\nMonuments\n\nValencia is a city with a great cultural interest where one can find ancient monuments such as El Palacio de la Generalitat , El Miguelete , La Lonja , Torres de Serranos , Torres de Quart, the Central Market, The Cathedral along with many other historical places like The Round Square Plaza Redonda , Plaza del Ayuntamiento (City Hall Square) and the Old city.\n\nMuseums\n\n\'Instituto Valenciano de Arte Moderno'\nThe IVAM, Valencian Institute of Modern Art, aims to research and spread the 20th Century art. Its programme of activities offers: Permanent Collections, Temporary Exhibitions, Conferences, Courses, and edition of publica- tions.\nThe Julio González Centre inaugurated in 1989, and Sala de la Muralla, located in the basement of the building and with remains of the old medieval fortification of the city inau- gurated in 1991.\n\n'Museo de Bellas Artes San Pió V': Museum of Fine Arts\nThe Seminary Centre of San Pío V, was found- ed by the Brother Juan Tomás de Rocaberti (1627 – 1699), archbishop of Valencia, to con- gregate Minor Regular Monks, order created by the Pope Pío V.\nThe most important collection of art of the Museum is a collection of almost three thou- sand paintings, from XIV century to XX Century.\n\nValencian Museum for Illustration and Modernity – MUVIM\nThrough an amazing chronological tour around 2.000 metres of space for exhibitions, we can approach to the keys of the development of the history of the society and thinking. The vis- itor can be immersed in the historical settings of every period: from Middle Age to Scientific Revolution of the Modern Period, the Enlightenment, and the Contemporary Period to the current discussion about post-modernity.\n\nPrehistoric Museum\nThe Prehistoric Research Service of the Diputación de Valencia and its Prehistoric Museum were created in 1927 as an scientific institution dedicated to preserve, research and widespread the rich archaeological valencian patrimony. From its beginning, the SIP devel- ops an intense farm work in archaeological sites as the Bastida of Alcusses in Moixent, la Cova Negra of Xàtiva, la Cova of Parpalló de Gandia or the Tossal of Sant Miquel de Llíria.\n\nCeramics Museum\nIt was builded in the las decade of the XV Century. Outstanding from its Collection we can find the medieval ceramics from Manises and Paterna, well known Carroza de las Ninfas (by Rovira y Vergara from 1750), furniture by Dresde, the Japanese Room with the original furniture, ceramics form ancient times, as greek, iberic and roman times, a vast collec- tion of medieval valencian tiles and from the hand made from the Real Fábrica de Alcora.\n\nThe Cathedral Museum\nThe valencian Seu is located over a roman temple, that became later a mosque, and its origin is XIII Century. The Cathedral belongs to the romanic style to the barroque, as testify its three doors: Principal Door, the Hierros Door (barroque); Apóstoles Door (gothic) and Palau Door (romanesque). Among its paintings we can find valuable primitive; paintings of Llanos and Almedina, Joanes and Orrente, as well as paintings of Goya. Between its sculptures, we can find “Cristo de la Buena Muerte”, of Alonso Cano and Portapaz of Benvenuto Cellini. There is also a valued and exceptional relic: the Saint Cáliz of the last Diner of Jesus Christ.\n\nMuseum of Palaeontology\nIt is a representation of the european Palaeontology, and over all, the valencian, from the first geological periods to the present times. There is also an important collection of Palaeontology from the american Pleistocen in Europe (collection of Rodrigo Botet). Malacológica Collection (Collection of Roselló).\n\nMuseum of the Patriarch\nFounded by the Patriarch and Viceroy San Juan de Ribera, XVI and XVII Centuries. Magnificent cloister of Renaissance. The museum keps art Works of a big value, and some like from El Greco and primitive Flemish.\n\nFallas Museum\nInstalled in Creueta de la Mare de Déu of Monteolivet. Has a collection of figures, called “ninots” that, from 1934, have been kept away from fire as have been considered the funiest and more perfect figures of the year, as well as the posters, photographs and any other kind of objects related to the world of the “fallas”.\n\nMunicipal Museum of History\nThe acquisition of the City Hall are, resides the valencian flag called “Senyera”, by the Pendón of Reconquest, the sword of Don Jaime the I, the Conqueridor, the plan the city of Valencia in 1704, the Flemish table of the Final Judgement (XV Century), paintings of Zariñena, Orrente, Espinosa, López, Sorolla and others. Also various books, of excepcional interest of “the Consolat del Mar”, “Llibre dels Furs” and the “Mustaçaf”, “La Taula de Canvis” (old bank), original, fine bindings and numerous gremials testimonies.\n\nMaritime Museum Joaquín Saludes\nInstaled in the “Torres de Serranos”, presents a valuable Collection of anphors and archaeo- logical objects extracted from the bottom of the see, and an interesting exhibition of naval scale models.\n\nMuseum of the city. Palace of the Marqués de Campo\nThe Palace of the Marqués de Campo, is an interesting building of the XIX Century, with a permanente exhibition of the archaeological objects of the period which the city was found- ed. They keep documents of the period of the conquest of Valencia by the King Don Jaime I.\n\nCasa-Museo José Benlliure\nThey have artwork of this Valencian Artist called José Benlliure, as well as ceramics and other objects of his time.\n\nScience Museum Principe Felipe\nThe Museum of the Sciences Príncipe Felipe is located in “La Ciudad de las Artes y las Ciencias”, is an space of 40.000 square metres distribuited in three floors, where you can find a different experience in every corner. There are, also permanent and temporary exhibi- tions, scientific demonstrations, Workshops and tourist tours that will open our minds to a new way of knowledge.\n\nThe City of Arts and Sciences\nThis place is the 21st century emblem of the Valencian Community, is designated as a cen- tre for art, fun and leisure space. It is a unique place in the world to enjoy yourself with Art, Science and Nature.\nThe City of Arts and Sciences is situated next to the old bed of the river Turia, in the area between the Saler highway and the Moreras road; with a surface of 350.000 m2. It has five great areas:\n   The Art Palace Reina Sofia, a plurifunctional building for the development of cultural activi- ties of all kinds, as well as for opera.\n   L’Hemisfèric, Cinema-Planetarium with the lat- est technological systems IMAX, shows with laser and digital showing. It has an audiovisual equipment and a sound system of 12.000 vats that immerses the visitor to the showing. Also, language of the exhibition can be chosen between Spanish, valencian, English and French.\n    The Science Museum Principe Felipe, houses exhibitions of subjects related to science and leading technology.\n   The Universal Oceanographic Park, the biggest urban park of Europe, a real submarine environ- ment, in area of 110.000 m2 with 45.000 ani- mals of 500 species of fishes, invertebrates, birds, reptiles, and mammalian fishes that live in 9 submarine towers that simulate the envi- ronmental conditions of their place of origin.\n    The Umbracle, entrance door to the City of Sciences and Arts, is a place for promenades and relax with native vegetation of the Mediterranean region and also of the tropic countries with a sample of contemporary sculp- tures of international artists with a recognised prestige.", @"")];
                        break;
                    case 5:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Beaches", @"")];
                        [detailTextView setText:NSLocalizedString(@"In the Valencian Region there are 485 kilome- tres of coastline. Beaches of all kinds can be found from very long straight beaches to those in small coves or inlets. The sand is fine and golden and, on some beaches you can find fine, clean gravel. All beaches have a splendid climate and light.\nIn the north of the port of Valencia between an spacious and attractive Promenade, there are the beaches of “Levante”, called the “Arenas” and “Cabanyal”, the closest ones to the city, and the easiest to get by public transport. Typical restaurants can be found here, where you can taste exquisite Valencian dishes.\nIn the south of the city, there is the beach of “Pinedo”. About 8 kilometres away is the beach of “El Saler”, which is situated in an area of great ecological interest, with the L’Arbre del Gos, La Garrofera, Recati- Perellonet and “Albufera lake”.\n“La Dehesa” and “the Albufera lake” are one of the most important areas in the Mediterranean with mobile dunes (by the sea), dunes (in the forest), “malladas” (hollows between dunes) and the lake that contains more than 600 species of different vegetables and a great variety of animals, over all the birds that make the Albufera famous.\nwww.turisvalencia.es www.valencia.es", @"")];
                        break;
                    case 6:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Sports Centres", @"")];
                        [detailTextView setText:NSLocalizedString(@"Besides the sport facilities that can be found on-campus at the “Universitat Politècnica de València”, the city of Valencia offers sport centres all over the city. Among the most important sport centres are: : Antiguo cauce del río Turia, Centro Local de Deportes Doctor Llull, Centro Local de Deportes de la Fuente de San Luis, Parque Municipal de la Dehesa del Saler, Piscina de Valencia, Polideportivo Benicalap, Polideportivo Dr. Lluch, Polideportivo Benimaclet, Polideportivo de Benimàmet, Pabellon Malvarrosa, Complejo Deportivo Cultural Petxina, besides these, there are specific centres to practise fencing, bowling, swimming, skating, “frontennis” (a Spanish game), tennis, gymnastics, and mar- tial arts, etc.\nTo check further details on what’s available: Fundación Deportiva Municipal\nPlaza de América, no 6-1\n46004 Valencia (España)(+34) 963 525 478 (Ext.) 2126 / 2138 www.deportevalencia.com", @"")];
                        break;
                    case 7:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Cultural life", @"")];
                        [detailTextView setText:NSLocalizedString(@"Valencia is home to numerous cultural activi- ties. Theatre is a popular form of entertain- ment here at Valencia; you can find theatre plays of different types. In the city, there are theatres such as: El Centro Dramático de la Generalitat Valenciana, la Sala Escalante, el Teatro Principal, el Teatro del Micalet, el Teatro Olympia, el Teatro Talia, etc.\nThe “Palau de la Música” offers classical music concerts regularly during the year. Once a year, the “Certamen Internacional de Bandas de Música” is held, this Festival keeps a great tra- dition alive all around the Valencian Province.\nPop-rock music concerts are also popular, where a large variety of Spanish and International artists perform live music like the ones of l’Eclectic and the ones of L’Observatori, were you can enjoy national music.\nPara más información: www.comunitatvalenciana.com www.turisvalencia.es", @"")];
                        break;
                    case 8:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Night life", @"")];
                        [detailTextView setText:NSLocalizedString(@"Night life in Valencia is very exciting and popu- lar. Valencian nights, famous world-wide, offers entertainment and catering for every taste. There are a lot of places of leisure: pubs, cafete- rias, discos, night clubs, dance halls, etc.\nPeople often go out around midnight and get back home at dawn in Valencia. This is due to the good weather which lasts all year long. This atmosphere encourages people want to take advantage of going out in cafes, discos, dance halls, and even outdoors.\nThe places below are recommended night life places:\n\nBarrio del Carmen\nPlaza Xuquer\nAvenida Blasco Ibañez\nCalle Juan Llorens\nAvenida de Aragón\nBeaches\nPlaza de Canovas\nAlameda zone", @"")];
                        break;
                    case 9:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Local festivities", @"")];
                        [detailTextView setText:NSLocalizedString(@"Valencian people are outgoing, generous and love street parties. The basic ingredients of Valencian parties and festivals are light, gun- powder, fireworks, parades, music, etc.\n Fallas is our main Valencian festival. It takes place once a year from the 12th to the 19th of March. The rich explosions of colours, noise and the smell of gunpowder fills the streets of Valencia. Huge artistic monuments are designed and made called Fallas, they have plenty of colours and satire, and they’re all around the city streets.\nLoud festival music and people dressed with typical costumes parade through the streets. Magnificent fireworks, together with “Mascletas” (daytime fireworks displays) and the flowers’ gift to the Virgin Mary Virgen de los Desamparados are important events which are interesting to see.\nHot chocolate with “buñuelos”, a typical kind of Spanish cake are typical at this festival. On the 19th of March, all the monuments fallas are burnt, and the experience is unforgettable.", @"")];
                        break;
                    default:
                        break;
                }
                break;
            case 1:
                switch (item) {
                    case 0:
                        [[self navigationItem] setTitle:NSLocalizedString(@"History", @"")];
                        [detailTextView setText:NSLocalizedString(@"Our background\n\nOur university is a young institution. Its history dates back to the early 70s although some of its schools, such as the School of Design Engineering, the Higher Polytechnic School of Alcoy and the Faculty of Fine Arts, are over a hundred years old.\nThe seed of what is today known as the Universidad Politécnica de Valencia was planted in the academic year 1968-1969, when the Higher Polytechnic Institute of Valencia was created. At that time it com- prised four schools: the School of Agricultural Engineering, founded in 1959; the School of Architecture, inaugurated in 1966; the School of Civil Engineering and the School of Industrial Engineering, both of them created in 1968.\n\nAn institution in continuous development\n\nBut it is not until 1971 (as a result of the Order of 11th March, through which the Higher Polytechnic Institute of Valencia is conferred the highest academic status), when our insti- tution becomes the Polytechnic University of Valencia. Likewise, in 1978, the Faculty of Fine Arts is annexed to our University.\nFrom then on all the other schools are incorpo- rated; i.e. the School of Design Engineering, the Polytechnic School of Alcoy, the School of Building Management, the School of Rural Environments and Enology and the School of Applied Computer Science, whose studies started in 1985.\n\nA growth in conformity with the needs of the environment\n\nAfter that, the Faculty of Computer Science; the School of Engineering in Geodesy, Cartography and Surveying, and the School of Telecommunications Engineering were creat- ed. The Polytechnic University School of Alicante and the Higher Polytechnic School of Orihuela also used to belong to our University until 1991 and 1997, respectively.\nIn 1994, ratified by an Order in Council, the Polytechnic School of Alcoy becomes the Higher Polytechnic School of Alcoy and, in 1993, the School of Gandía is founded and named Higher Polytechnic School of Gandía during the 1999-2000 academic year. Likewise, during that same academic year the Faculty of Business Administration and Management is inaugurated.\n\nThe UPV today\n\nIn the Polytechnic University of Valencia, cohabitation is part of an educational project where students and teachers alike from our five campus sites (Vera, Blasco Ibáñez, Alcoy, Gandía and Xátiva) actively take part in.\n\nVera Campus Site:\n\nWhich is located in the city of Valencia.\n\nGandia Campus:\n\nWhich is situated in the town of Gandia. (Province of Valencia).\n\nAlcoy Campus:\n\nWhich is situated in the town of Alcoy. (Province of Alicante).\nCurrently, our university community is made up of over 42.000 people. Of these, nearly 37.800 are students, 2.600 are members of the teach- ing and research staff and 1.700 are adminis- trative and services personnel. UPV is com- posed of 9 schools, 2 faculties and 2 higher polytechnic schools.\nIt also has the following associated schools: Ford Spain Technical School of Industrial Engineering, Faculty of Business Studies, La Florida University School, and Pax University College, as well as an extension in Xàtiva.The “Universitat Politècnica de València” is comprised of three campuses:", @"")];
                        break;
                    case 1:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Vera campus", @"")];
                        [detailTextView setText:NSLocalizedString(@"The Vera Campus Site is located in the City of Valencia, on the Northern side at the begin- ning of the motorway that leads to Barcelona (A-7 or E-15).", @"")];
                        break;
                    case 2:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Transport to Vera Campus", @"")];
                        [detailTextView setText:NSLocalizedString(@"There are many forms of public transportation which take you on-campus:\nThe local bus company; EMT buses net, has eight routes, with bus stops in different parts of the city, which go to our Campus. The appropriate routes are:\n9, 18, 29, 30, 31, 40, 41, 71.\n\nIf you require further information on these serv- ices, telephone the EMT information line on:\n+34) 96 315 85 15.\nwww.emtvalencia.es\n\nYou can also get on-campus via the metro line which runs from Ademuz to Doctor Llull, number 4, the UPV campus has four stops avail- able by the Campus:\nPolitécnica, La Carrasca, Tarongers, and Serrería\nThere is also avalible the service called Valenbisi, for renting bikes.", @"")];
                        break;
                    case 3:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Structure of studies", @"")];
                        [detailTextView setText:NSLocalizedString(@"The “Universitat Politècnica de València” offers more than 34 degrees of higher educa- tion, 29 Phd and 55 official Masters.\nAlso, and according to the implementation of the new Degrees, the UPV offers as well new Degrees adapted to the European Space for Higher Education (EEES) approved by the Government of the UPV which are formed by four courses of 60 credits each.\n\nFirst Cycle courses\n\nThe average period of these first cycle stud- ies is 4 years and, at the end of these studies a final project must be submitted. You will then obtain a degree in Technical Engineering or Technical Architecture with the correspon- ding major.\n\nFirst and Second Cycle courses\n\nThe average period for these degrees is five years and you have to accomplish a final proj- ect for almost all of these degrees. At the end of these courses you gain a degree in Engineering, Architecture or a Bachelor with the major that corresponds to each of these.\n\nMaster’s & PhD.\n\nThe structure of studies at UPV is being adapt- ed to the European Space for Higher Education (EEES).These adaptation will result into a sys- tem based on two cycles, GRADUATE and POST-GRADUATE studies. After accomplishing the POSTGRADUATE level a student may obtain two titles, Master’s & PhD.\nMasters comprise from 60 to 120 credits (over one or two years) and are delivered by univer- sity lecturers and qualified professionals. The corresponding fees are regulated by the gov- ernment.\nPhD programmes, whose main aim is to pro- vide advanced training in research techniques, comprise a training period which is followed by a research phase in which the student must write and defend a PhD thesis based on origi- nal research.\nUpdated Information on the Postgraduate Offer in UPV is available in the Vice-rectorate for Research and Postgraduate Education web site.\nVice-rectorate for Research and Postgraduate Education Edificio 3A\nhttp://www.upv.es/postgradooficial/index_e.htm\n vpfp@upvnet.upv.es", @"")];
                        break;
                    case 4:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Studies at UPV", @"")];
                        [detailTextView setText:NSLocalizedString(@"Comming soon", @"")];
                        break;
                    case 5:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Schools and Faculties", @"")];
                        [detailTextView setText:NSLocalizedString(@"Higher Polytechnic School of Alcoy\n\nwww.epsa.upv.es api-epsa@upvnet.upv.es Passeig del Viaducte, 1 03800 - ALCOY (Alicante) (+34) 966 528 402\nFax (+34) 966 528 409\n\nHigher Polytechnic School of Gandia\n\nwww.epsg.upv.es relinter@epsg.upv.es Carretera Nazaret-Oliva s/n 46730 - GANDIA (Valencia) (+34) 962 849 300\nFax (+34) 962 849 309\n\nHigher Technical School of Geodesy, Cartography & Surveying\n\n www.upv.es/intergeo intergeo@upvnet.upv.esCamino de Vera, s/n\n46022 - Valencia\n(+34) 96 387 7160 (ext. 71641) Fax: +34 96 387 9469\n\nSchool of Telecommunications Engineering\n\nwww.etsit.upv.es int_etsit@upvnet.upv.es Camino de Vera, s/n 46022 - Valencia\n(+34) 963 877 196 Fax (+34) 963 879 199\n\nSchool of Building Management\n\nwww.etsge.upv.es ri-etsge@upvnet.upv.es Camino de Vera, s/n 46022 - Valencia\n(+34) 963 877 122 Fax (+34) 963 877 129\n\nSchool of Architecture\n\nwww.arq.upv.es rel.int.arq@upvnet.upv.es Camino de Vera, s/n 46022 - Valencia\n(+34) 963 877 110Fax (+34) 963 877 119\n\nSchool of Civil Engineering\n\nwww.iccp.upv.es intaffai@upvnet.upv.es Camino de Vera, s/n 46022 - Valencia\n(+34) 963 877 152\nFax (+34) 963 877 159\n\nSchool of Industrial Engineering\n\nwww.etsii.upv.es\nintetsii@upvnet.upv.es\nCamino de Vera, s/n\n46022 - Valencia\n(+34) 963 877 172\nFax (+34) 963 879 179\n\nSchool of Engineering in Computer Science\n\nhttp://www.inf.upv.es int_inf@upvnet.upv.es\nCamino de Vera, s/n\n46022 - Valencia\n(+34) 96 387 92 12 / (+34) 96 387 72 04\nFax (+34) 96 387 72 15 / (+34) 96 387 72 05\n\nSchool of Agricultural Engineering and Environment\n\nwww.etsia.upv.es www.etsiamn.upv.es interagr@upvnet.upv.es\nCamino de Vera s/n. 46022 - Valencia (+34) 963 87 9132 Fax (+34) 963 877 139\n\nSchool of Engineering Design\n\nwww.etsid.upv.es relint@etsid.upv.es Camino de Vera, s/n 46022 - Valencia (+34) 963 877 182 Fax (+34) 963 877 189\n\nFaculty of Business Administration & Management\n\nwww.ade.upv.es\nintade@ade.upv.es\nCamino de Vera, s/n 46022 - Valencia (+34) 963 879 277 Fax (+34) 963 879 279\n\nFaculty of Fine Arts\n\nwww.bbaa.upv.es relintba@upvnet.upv.es or int_bbaa@upvnet.upv.es Camino de Vera, s/n 46022 - Valencia\n(+34) 963 877 226 Fax (+34) 963 877 941", @"")];
                        break;
                    case 6:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Lifelong learning", @"")];
                        [detailTextView setText:NSLocalizedString(@"Master Courses and Livelong training courses\n\nThe University offers, through the Lifelong Learning Centre, more than 50000 course’s hours during last academic year. Over all we have Master Couse, University Specialist and Professional Specialist.\nThose courses have an specific training and enables to adapt to the demand and have a rapid procedure to enroll. Last year we had more than 1000.\nThe Centre has between its objectives performs the function of impulse and collaboration with professors, Departments, Centres and other University Offices, in the development of formative Projects facilitating its diffusion and to pro- mote in the socio-economic environment.\nThere is a new activity which is the coun- selling to Congresses and working days. Professors are provided with all the human and technical resources needed to guarantee the success in the formative project.\nMore information at. Continuous Training Centre Edificio 6G http://www.cfp.upv.es E-mail: cfp@cfp.upv.es", @"")];
                        break;
                    case 7:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Spanish courses", @"")];
                        [detailTextView setText:NSLocalizedString(@"The Applied Linguistics Department of the UPV offers the course: “Spanish as a foreign language”. There are several levels, beginning at A2, so all students must do an exam in order to see that you are placed in classes which suit their adequate level of Spanish knowledge. Enrolment for this course is free of charge for the foreign exchange students of UPV and students who pass the final examina- tion will obtain the corresponding credits, which will appear in the exchange certificate.\nAlso the Higher Polytechnic School of Gandia organises at the beginning of every semester intensive Spanish courses as a Foreign Language. Those students can find more infor- mation in the web page of International Exchange Programmes Office.", @"")];
                        break;
                    case 8:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Grading of qualifications", @"")];
                        [detailTextView setText:NSLocalizedString(@"The mark scheme is the same awarded throughout the whole of Spain. The marks range from 0 to 10 points, as follows.\n\nGRADING MARK\n\nFail <5\nPass 5<7\nSatisfactory pass 7 < 9\nGood pass 9 < 10\nDistinction > 10\n\nMarks below 5 indicates a fail, anything above a grade 5 is a pass.\n\nAcronyms used in UPV:\n\n\nDoctorate (between 2 and 5 years)\nFYP C2D (2 years)\nMaster Thesis (60-120 credits)\nFYP C1&2D (5 years)\nFIP C1D (3 years) = other universities\nFYP C1D (3 years) UPV\nC1D: First Cycle degree (3 years + Final year project)\nC2D: Second Cycle degree (2 years+ Final year project)\nC1&2D: First and Second Cycle degree (5 years + Final year project)\nFYP: Final Year Project (Only Engineering and Architecture)", @"")];
                        break;
                    case 9:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Language of Instruction", @"")];
                        [detailTextView setText:NSLocalizedString(@"The majority of the courses in the Universitat Politècnica de València are taught in Spanish there are also courses taught in English and in Valencian.", @"")];
                        break;
                    case 10:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Courses in English", @"")];
                        [detailTextView setText:NSLocalizedString(@"At the Universitat Politècnica de València adapting to the needs of our society, the pro- motion for international participation in the education and demands of the current society, offers a number of subjects taught in English during the recent academic years. More than 133 English courses are delivered in to our university during 2011-2012 for the different Schools and Faculties. More information about these courses can be found at the English version of the Office of International Exchange Programmes.\nhttps://www.opii.upv.es", @"")];
                        break;
                    default:
                        break;
                }
                break;
            case 2:
                switch (item) {
                    case 0:
                        [[self navigationItem] setTitle:NSLocalizedString(@"International institutions", @"")];
                        [detailTextView setText:NSLocalizedString(@"The International Exchange Programmes Office (OPII) main task is to make sure that foreign students, who are studying in the “Universitat Politècnica de València” under exchange pro- grammes, do not have any problems adjusting to the university community and lifestyle.\nIn order to co-ordinate the arrival of the exchange students in the best way, under different programmes of existing international co-operation, the students should contact the co-ordinator of international programmes at the school or faculty where they have been admitted (see 2.6).\nThe services offered by the International Offices in the Centres to the visitors are:\n- Welcoming students into the UPV.\n- Providing students with a Welcome package and information.\n- Offering advice and help in finding accom- modation.\n- Providing students with information on tourist activities.\n- Organising the orientation sessions.\nOficina de Programas Internacionales de Intercambio (OPII)\nEdificio 3C\n(+34) 96 387 70 02 Fax: (+34) 96 387 77 19\nwww.opii.upv.es opii@upvnet.upv.es", @"")];
                        break;
                    case 1:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Mentor Programme", @"")];
                        [detailTextView setText:NSLocalizedString(@"Mentor Programme is a support for incoming students in the UPV that help them to get acquainted with the university and solve any problems that might arise during their stay here at the university.\nMentor students from de UPV can help the incoming students in such matters as: enrol- ment documents, searching for accommoda- tion, practising your Spanish, picking you up from the airport, going around Valencia/Gandia/Alcoy, and other useful advis- es for your life in Valencia.\nIncoming students that wish to ask for a men- tor student should apply for it in their online application through the exchange students application www.opii.upv.es/incomings while completing the on line application.", @"")];
                        break;
                    case 2:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Orientation Sessions", @"")];
                        [detailTextView setText:NSLocalizedString(@"The International Exchange Programmes Office (OPII) organises every term, an Orientation Session for incomings students under exchange programmes attending the UPV. During these sessions, we try to introduce the students to the university community and pro- vide information about facilities and services offered within the UPV, such as sport facilities, library, cultural activities, Spanish language courses, etc., as well as general information about the city of Valencia.\nThese Orientation Sessions will take place one week after the start of the term.", @"")];
                        break;
                    case 3:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Accommodation", @"")];
                        [detailTextView setText:NSLocalizedString(@"The Office of International Exchange Programs (OPII) provides help and information on accom- modation. We give information about youth hostels which have been recommended by students themselves, prices of our on-campus hostel, Colegio Mayor Galileo Galilei, and local hotels. Also during the welcome meeting that students attend when they arrive at the UPV we give an updated list of flats which is found on the website:\n\nhttp://www.upv.es/pls/oalu/sic_pisos.form_pi so?p_idioma=c.\n\nThere are various types of accommodation you could choose while staying at Valencia:\n\nAccommodation upon arrival\n\nBefore you arrive in Valencia, we suggest you to book a room at a hostel or residence, so that you have a place to stay during the first few nights, until you find permanent housing, because due to so many students arriving at the same time the hostels tend to become fully booked, so to avoid this problem we suggest you book before your arrival to Valencia. There are many close hostels and residences, for more information on location, prices and book- ing we recommend the following websites:\nhttp://www.turisvalencia.es\nIf you’d rather go to a hostel, you can find information in the following web page: www.hostels.com/es/es.va.html\nThe recommended youth hostels are:\nPURPLE NEST HOSTEL\nPlaza Tetuan, 5\nValencia 46003 España\n(+34) 963 532 561 www.nesthostelsvalencia.com\nRED NEST HOSTEL\nC/ La Paz, 36\nValencia 46003 España\n(+34) 963 427 168 www.nesthostelsvalencia.com\n\nIf you have any enquires about accommoda- tion please contact our international offices in the Centers:\nThere are different types of accomodation, wich you can choose between:\n\nSharing a flat with other students\n\nThis is the most popular choice for students simply because it’s the cheapest choice and has the feel of greater independence. You can share a flat with either Spanish or foreign students.\nThe average price of a rented flat usually ranges from 150 to 250 € per month/person.\nThe Information office has a guide including legal information about renting, rights of the tenants as well as practical advice and recom- mendations while renting the accommodation.\nhttp://www.upv.es/perfiles/estudiante/alo- jamientos-upv-es.html\nThere is also a legal advisor in the Students House at the students disposal.\n\nStaying with a family\n\nChoosing to live with a Spanish family usually consists of a full-board accommodation. The monthly price is approx 450.00 € for full- board accommodation, and approx 325.00 € for half-board accommodation.\nMore information available is the Information Office web site:\nhttp://www.upv.es/perfiles/estudiante/alo- jamientos-upv-es.html\n\nHalls of residence/Student Halls (“Colegios Mayores”)\n\nThere are private halls where you can rent a bedroom.\nWe also have a Hall of Residence which can be found on-campus called Colegio Mayor Galileo Galilei , available for students to rent rooms, even if students are only looking to stay one night. Galileo Galilei can be found on our campus map as building 6B.\nColegio Mayor GALILEO GALILEI Avda. de los Naranjos, s/n Campus UPV\n46022 Valencia (España)\n(+34) 963 352 000 Fax: (+34) 963 551 213\n www.galileogalilei.com galileo@galileogalilei.com\n\nMore information in, International Exchange Programmes Office can send you a list with accommodation information upon request.\nOficina de Programas Internacionales de Intercambio (OPII)\n(+34) 963 877 002 Fax (+34) 963 877 719\nwww.opii.upv.es opii@upvnet.upv.es", @"")];
                        break;
                    case 4:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Academic calendar", @"")];
                        [detailTextView setText:NSLocalizedString(@"Classes at the UPV normally begin late September, so it is important that students clari- fy dates with their head of department of the school in which they have been accepted, before arriving in Spain, since enrolment dates vary depending on the school, faculty and degree.\nThe academic calendar in general for classes:\n\nFirst Semester\n\nStarts End of September\nFinishes End of January\n\nSecond Semester\n\nStarts Beginning / Middle of February\nFinishes Middle of June\n\nExams\n\nAt the end of every term there is a three week examination period. During the academic year there are two examination sessions (the “ordinary” and the “extraordinary”) for the evaluation of various subjects.\n\nFirst semester courses\n\n“Ordinary” examination session starts: at the end of the first semester.“Extraordinary” examination session begins: at the middle of April or at the end of the second semester.\n\nSecond semester courses\n\n“Ordinary” examination session begins: at the end of the second semester.“Extraordinary” examination session starts at: the end of the second semester the first fortnight in September.\nThroughout the year there are three main holiday periods:\n\nChristmas\n\nStarts 24th December\nFinishes 7th January\n\nEaster\n\nStart and end of Easter dates vary every year but usually are 12 days.\n\nFALLAS: Local Valencian Festival (*)\n\nStarts 16th March Finishes 20th March\n(*) These dates do not apply to the Campuses of Alcoy and Gandia.\nUpdated information available at:\nhttp://www.upv.es/perfiles/estudiante/calen- dario-academico-es.html", @"")];
                        break;
                    case 5:
                        [[self navigationItem] setTitle:NSLocalizedString(@"First visit", @"")];
                        [detailTextView setText:NSLocalizedString(@"Once you have arrived on-campus you need to go to the International Office of the UPV School or Faculty where you have been placed (see 2.6).\nIf you were required a STUDENT Visa for your entry in Spain, in the International Exchange Programmes Office (OPII) you will find a Residence Permit Service providing advising on these matters.\nOpening hours from 11.30 to 13.30 hrs.", @"")];
                        break;
                    case 6:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Residence permit: Visa", @"")];
                        [detailTextView setText:NSLocalizedString(@"The Office of International Exchange Programmes (OPII), at the Universitat Politècnica de València, offers a service to regulate the stay of the Students in Spain.\nIf you are not from UE (Austria, Germany, Belgium, Bulgaria, Denmark, Finland, France, Greece, Ireland, Iceland, Italy, Liechtenstein, Luxembourg, Norway, The Netherlands, Portugal, United Kingdom, Sweden, Switzerland, Cyprus, Slovakia, Slovenia, Estonia, Hungary, Latvia, Lithuania, Malta, Poland Czech Republic and Romania) you must obtain a Student Visa at the Spanish Embassy or Consulate placed in your country before travelling to Spain. And once you arrive in Spain and depending on the kind on visa you have, within 30 days period from your entry in Spain or in a Schengen country, you must reg- ularize your condition, applying for the Student’s Residence Permit.\nThe necessary forms and list of required documents to obtain the Student’s Residence Permit can be collected from:\n\nOficina de Programas Internacionales de Intercambio\nE-mail: opii@upvnet.upv.es Web: www.opii.upv.es/opii\n\nThis office is located on the Agora, Building 3C on the first floor.\nIF YOUR VISA HAS EXPIRED the above mentioned authorization cannot be obtained.\nALL STUDENTS NEED A STUDENT VISA EXCEPT STUDENTS FROM THE ABOVE MENTIONED COUNTRIES.", @"")];
                        break;
                    case 7:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Health Insurance", @"")];
                        [detailTextView setText:NSLocalizedString(@"European Students are covered by the European Health Card, which is issued in the country of origin.\nThere are other countries that are not part of the European Union but the Spanish State has made health agreements with, as: Andorra, Brazil, Chile, Ecuador, Panama, Paraguay, Peru, Switzerland and Morocco, etc. In these cases, you will have to contact the Spanish Embassy in order to obtain further information.\nIf you are not interested in the previous option (Public health System) or if you come from another country, you can obtain a private health insurance which will cover you in Spain. The cost may vary, as it changes according to the service obtained.\nIt is very important for the student to clarify health insurance conditions before leaving his country. The “Universitat Politècnica de València” WILL NOT ADMIT students if they do not produce their medical insurance docu- ments.\nThe Universitat Politècnica de València pro- vides visiting students with the assistance of the different UPV services in order to help the student integrate in the University community", @"")];
                        break;
                    default:
                        break;
                }
                break;
            case 3:
                switch (item) {
                    case 0:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Information Office", @"")];
                        [detailTextView setText:NSLocalizedString(@"The Information Office is located at the Ágora, on the First floor, Building 3H on our campus map. You can find all sorts of information there, institutional, academic, tourism, etc. The office offers you information concerning nearly every- thing, such as ways to access university, aca- demic and cultural activities that take place at the Campus, national and international grants, courses ... They daily update a database of flats to share or rent, halls of residence and other information about accommodation. The Information Office is also the in charge of the University cards and will also take care of any lost and found objects of the Campus.\nÁrea de Información Edificio 3H\nTEL: +34 96 387 90 00 Fax: +34 96 387 90 09\nhttp://www.info.upv.es/ E-mail: información@upv.es", @"")];
                        break;
                    case 1:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Library and documentation", @"")];
                        [detailTextView setText:NSLocalizedString(@"The central Library and Scientific Documentation Office is located on the map as building 4L.The library contains all the neces- sary materials for the study of every degree course, such as books, maps, audio-visual equipment, etc, all can be taken on loan by presenting your UPV Student Card. In our library we offer computers with free Internet connection for all Students; there are also lap- top connectivity ports available.\nWe also have a general reading room, situat- ed in the library.\nhttp://www.upv.es/bib/\nAlso the following Schools and Faculties have their own library:• Faculty of Fine Arts\n• Faculty of Computing Science\n• Higher Polytechnic School of Alcoy\n• Higher Polytechnic School of Gandia\n• School of Applied Computing Science\n• School of Civil Engineering\n• School of Building Management\n• School of Engineering Design\n• School of Agricultural Engineering and Rural Environments\n• School of Industrial Engineering\n\nAlso there are two study areas:\n• Sala de lectura Ferrandiz, located at Alcoy Campus\n• Sala de lectura of the School of Telecommunications Engineering, on Vera Campus.\n\nNewspaper library (Hemeroteca)\n\n\nThe newspaper library (“Hemeroteca”) con- tains scientific and standard technology maga- zines relating to the areas of knowledge dealt at the UPV. The Hemeroteca is located on the first floor of the Central Library.There is a com- puterised log of all the bibliographical infor- mation available in each magazine, i.e. their listing and classification by subjects. This cat- alogue can be obtained by typing in the title, words of the title, the subjects or the authors/publishers.\nScientific documentation service is located on the first floor of the Central Library, its aim is to make all access to specialized references of the UPV and Magazine references. Also, makes easy access to information through connection to the library data base, consulta- tion of the database through CD-ROM.\nBiblioteca General\nEdifiicio 4L\nTEL: +34 96 387 70 80 Fax: +34 96 387 70 89\nE-mail: biblio@bib.upv.es Web site: http://www.upv.es/bib/", @"")];
                        break;
                    case 2:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Vice-rectorate of culture", @"")];
                        [detailTextView setText:NSLocalizedString(@"The Vice-Rector for culture of the UPV organis- es different activities as cultural events, and others such as exhibitions, concerts, theatre, poetry, festivals, etc, in which the foreign stu- dents can participate with the rest of the UPV students and University community.\nAlso, encourages cultural initiatives inside and outside the UPV.\nThere are other activities:\n\nExhibition room (Timetable: 11.00 to 14:00 and 17.00 to 20:00 hours).\n\nSculpture museum, open air on the Vera Campus Site.\n\nToy Museum on Vera campus\n\nPublications: Art, Project and Ideas.\n\nThere is periodical publication of the detailed programmes of cultural activities in the UPV.\nFor further information:Vicerrectorado de Cultura Universitat Politècnica de València Building 3A\nTEL: (+34) 96 387 70 05\nE-mail: vc@upvnet.upv.es http://www.upv.es/vc", @"")];
                        break;
                    case 3:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Sports area", @"")];
                        [detailTextView setText:NSLocalizedString(@"The Universidad Politécnica promotes a full range of sports at different levels through our on-campus Sports Area. The Vera Campus Site has excellent sport facilities available for all UPV students, such as the indoor heated swim- ming pool, football and rugby pitches, 4 tennis courts, 2 racket ball courts, 2 squash courts, 3 sports basketball courts, five-a-side football, handball and volleyball, a gym for weight train- ing, aerobics, and keep fit, the martial arts of Tae Kwon-do, Aikido, Karate and Judo, a table tennis room, etc. and others like yoga, fencing, waterpolo, etc. Access to these facilities is reg- ulated by the “Area de Deportes”.\nThroughout the academic year, individual sport tournaments are organised, such as tennis, table tennis, badminton, racquetball, squash, and chess. Team leagues are also organised between the different UPV faculties, inter-uni- versity tournaments between area leagues, Spanish university championships, international university championships, etc.The Sports Club of the UPV has a mountain club which offers activities including moun- taineering, trekking, abseiling, climbing, cycling, water polo, swimming clubs, etc. scuba-diving club which offers diving lessons, diving orientation, practice trips, etc.\nSport activities\n- Gym: Keep fit and Weight training\n- Aerobics, Step, Bars training, Rhythms, Aero- box\n- Martial Arts: Tae Kwon-do, Karate, Judo, Aikido\n- Mountain sports,\n- UPV cycling club,\n- Sailing courses and motor boating,\n- Tennis lessons,\n- Ski courses,\n- Valencian Football supporters club,\n- Valencian Basketball supporters,\n- Games Club,\n- Sports Federation,\n- Circuit training,\n- Fitness,\nEtc.\nFor further information:\nDeportes\nBuilding 7C\nTEL: (+34) 96 387 90 04\nE-mail: deportes@upvnet.upv.es\nhttp://www.upv.es/adep", @"")];
                        break;
                    case 4:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Medical services", @"")];
                        [detailTextView setText:NSLocalizedString(@"On the Vera Campus Site, there is a doctor’s sur- gery available, situated on our map as building 6E.The clinic is opened from Monday to Friday, from 8.00 to 20.00. There is no medical service at UPV during weekends. This service is here to help students with any health problems whilst they are on-campus. After your check-up if nec- essary our “Gabinete Medico” may transfer you to another health centre or hospital that spe- cialises in your particular problem.\nFor non-emergency situations, you can reserve your appointment with the Doctor, via Internet or by phone.\nGabinete Médico\nBuilding 6E\nTEL: (+34) 96 387 70 07 www.upv.es/entidades/CSLJP medico@upvnet.upv.es", @"")];
                        break;
                    case 5:
                        [[self navigationItem] setTitle:NSLocalizedString(@"CEDAT foundation", @"")];
                        [detailTextView setText:NSLocalizedString(@"CEDAT Fundation has created facilities and advise for the use of disabled people so that they can move around as easily as possible for the people that study or work here. Furthermore, it gives rise to all kind of actions to ease the social and labour integration of disabled people from the Valencian Community.\nFundación CEDAT\nBuilding 9E\nTEL: (+34) 96 387 70 36 E-mail: cedat@upvnet.upv.es http://www.upv.es/cedat", @"")];
                        break;
                    case 6:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Computer service", @"")];
                        [detailTextView setText:NSLocalizedString(@"Here at the Universidad Politécnica we work on a networked intranet system called “upvnet”. This system is used throughout the whole university community, we offer updates on news, programmes, courses and your per- sonal email. Our computer systems are con- stantly updated, and new technologies are always incorporated into our systems. We pro- vide every student with their personal UPV email, user name and password once they have enrolled, so that every student has access to the internet. The email service is free of charge. Every department and school on-campus has a computer lab where upvnet can be accessed, and we provide Wireless ports everywhere on-campus. Our network can also be accessed from off-campus, by visiting our UPV website:\nwww.asic.upv.es\nÁREA DE SISTEMAS DE INFORMACIÓN Y COMUNICACIONES\nBuilding 4L\nTEL: (+34) 96 387 70 70\nE-mail: asic@upv.es http://www.asic.upv.es", @"")];
                        break;
                    case 7:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Student's Union", @"")];
                        [detailTextView setText:NSLocalizedString(@"Our students union is located beside our main library; you can find our union “Delegación De Alumnos” on our map as building 4K. Our students union is available to all UPV students and plays a leading role in promoting and carrying out university activities, as well as defending the rights and interests of all students, collectively or individually, in matters which have to be put forward to the University authorities. Also in this building there are computer labs where students have free internet access, have cafes, televisions, games and sofas for students to relax.\nIn every centre there is an student representative whose job is helping, advising and informing other students about their rights and interests. For further information:\nDelegación Central de Alumnos\nBuilding 4K\nTEL: (+34) 96 387 74 08\nE-mail: dalum@upvnet.upv.es http://www.upv.es/dalum", @"")];
                        break;
                    case 8:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Student's Home", @"")];
                        [detailTextView setText:NSLocalizedString(@"The UPV offers students the “Casa Del Alumno”. Located in building 4K on the map. The Students Home is managed by Students. It’s opened 24 hours a day. It organizes all sort of different leisure activities, they vary from evening film show to exhibitions, conferences, workshops, journeys....\nAlso there are several Rooms such as Computer rooms, leisure rooms, meeting rooms, and study rooms, etc.\nYou can contact them at:\nCasa del Alumno\nBuilding 4k\nTEL: (+34) 96 387 94 05\nE-mail: casalum@ddaa.upv.es http://www.casadelalumno.upv.es\n\n\n1.The AEGEE Association of Valencia\n\nThis Association is located on the 3rd floor of the Students Home. This is the acronym for the ssociation des Etats Généraux des Etudiants de l’Europe which is apolitical, non-religious and non-profit making organisation, whose main objective is to promote European co-operation and integration within the university environ- ment. They make up part of the AEGEE-Europe network, founded in 1985, which at the moment has more than 15,000 members in more than 150 university cities within 43 countries in Europe.In order to create a European awareness between the students, they organise different activities throughout the year to promote the knowledge of the diversity of European cultures, as well as awareness of European mobility. They organise local activities as well (travels, conversation exchange...)\nWe advise foreign students to contact this association once in Valencia, so they can get to know the activities and get involved in the university community.\nAEGEE-Valencia\nThird floor of the Students Home\nTEL: (+34) 96 387 94 07 - ext 79730\nE-mail: aegee.valencia@gmail.com http://www.aegee-valencia.org\n\n\n2.ESN\n\nErasmus Student Network Universidad Politécnica de Valencia (ESN UPV) is an asoci- ation, with no profit motive on mind and formed by students, that help to improve the social and personal integration of students and teachers that participate in different exchange programs.\nThis association holds, during the course, all kinds of recreational and cultural activities, tours, cultural tours, trips, parties, sports competitions, TANDEM programs, student support mentor, etc. It also assists in finding accom- modation with a database of flats where other students have lived as an Exchange student.\nYou can contact them via:\nEmail delegado:gandia@esnupv.org www.gandia.esnupv.org",@"")];
                        break;
                    case 9:
                        [[self navigationItem] setTitle:NSLocalizedString(@"University Ombudsman", @"")];
                        [detailTextView setText:NSLocalizedString(@"The tasks of the University guardian include providing students with information regarding student rights of the members of the universi- ty community, and mediating in case of con- flicts. The guardian accepts views on how the university should work and may submit formal complaints which have not been attended by the relevant university authorities, may search information on issues raised by any of the aca- demic and administrative authorities, and pro- poses that the authorities modify their resolu- tions, if the case is adequately justified. Our university guardian does not accept anony- mous complaints but all counselling is com- pletely confidential.\nDefensor Universitario\nBuilding 3H\nTEL: +34 - 96 387 70 45\nE-mail: defensor@upvnet.upv.es", @"")];
                        break;
                    case 10:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Language laboratory", @"")];
                        [detailTextView setText:NSLocalizedString(@"The UPV Applied Linguistics Department, located in 4P building, has introduced lan- guage labs which are used for teaching lan- guages. The laboratories contain the neces- sary equipment for the audio visual learning and self-teaching of many languages.\nThere are computers where students can follow language courses with books and CDs pri- vately. There are also video libraries where you can find specialised, educational videos and subtitled films available in different languages.\nFinally, there are free-access computers which allow you to carry out different programmes for the learning of languages.\nAll use of the laboratory, its material and the watching of videos is totally free for all stu- dents and UPV personnel.\nApplied Linguistics Department Building 4P\nTEL: (+34) 96 387 75 30\nE-mail: depidm@upvnet.upv.es www.upv.es/dla",@"")];
                        break;
                    case 11:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Language centre", @"")];
                        [detailTextView setText:NSLocalizedString(@"The Language Centre and its Language Unit offer different services in the field of foreign languages to the whole university community.\nIts main goal is to create a flexible academic- administrative structure to fulfil the University’s needs in the field of foreign lan- guages and to facilitate its incorporation into the European Space for Higher Education\nThe activities of the Language Centre (CDL) are focused on the following areas:\nA) Training in foreign languages.\nB) Offical language exams.\nC) Support to UPV teaching staff in the field of foreign languages.\nD) Translation and revision of research papers.\nTEL: +34 963879532\nFAX: +34 963879647\nEmail: cdl@upvnet.upv.es www.upv.es/cdl", @"")];
                        break;
                    case 12:
                        [[self navigationItem] setTitle:NSLocalizedString(@"ICE and GOPU", @"")];
                        [detailTextView setText:NSLocalizedString(@"The ICE, located in 6G building, offers courses and workshops for all UPV Faculty about lec- tures methods, investigation and education. Also, the ICE coordinates the education sys- tem prior to enter university.\nInstituto Ciencias de la Educación (ICE) Building 6G\nTEL: (+34) 96 387 70 94\nE-mail: ice@upvnet.upv.es http://www.ice.upv.es", @"")];
                        break;
                    case 13:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Employment service(SIE)", @"")];
                        [detailTextView setText:NSLocalizedString(@"This service aims to make finding employment easier for UPV graduates to find a place in the labour market once they finish their studies. Several units make up this service. The Practical Placements Unit (UPE) promotes practical placements for students in institu- tions and private companies. The Employment Information and Orientation Unit (COIE) offers advice and additional training. The Direct Employment Unit (UDE) manages employment on offer and on demand for graduates.\nServicio de Empleo Building 6G\nUPE Telephone: +34 – 96 387 78 87\nCOIE Telephone: +34 – 96 387 70 10\nUDE Telephone: +34 – 96 387 78 88\nWeb: http://www.sie.upv.es\nE-mail: sie@upvnet.upv.es", @"")];
                        break;
                    case 14:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Other services", @"")];
                            [detailTextView setText:NSLocalizedString(@"Snack bars and restaurants\n\nThere are seven cafeterias on our campus that serve food throughout the day which are open from 8:00 to 20:00 hours. There are set menus for around 4.50 €, from which the students can choose a first and second course, plus a salad, bread, a drink and a dessert are included. Meals vary throughout the week, in order to provide a balanced diet, and a variety of choice.\n\nThe Green Office\n\nLocated in Building 6E, near the Medical Centre is the office for processes and development for environmental projects. Its main duty is to establish a system for an environmental process in the UPV in everything related to ecology and environment, according to ISO 14001.\nIt is in charge of ecological quality of materials supplied for use in the UPV, and the disposal of waste produced within the UPV, and gives information about ecological support to teach- ers and researchers.\nhttp://www.upv.es/ofiverde/\n\nCrèche\n\nLocated in Building 1B.The nursery is run by specialised teachers and has the technical assistance of the “Gabinete Medico” of the university; it is open to stu- dents and staff children of pre-school age.\n\nPhotocopying service\n\nLocation: Building 2F, on the First floor, in the area Agora. Opening hours for this shop are as follows: Monday to Friday from 8:00 a.m. to 20:00 p.m. This building provides photocopying machines for the use of the university commu- nity. There are also other photocopying machines located throughout the university.\n\nBook and stationary store\n\nThese are situated in the Agora on the Vera Campus Site. This store is where you can pur- chase all your books related to the UPV degrees, stationery materials are also avalilable. Opening times throughout the year are as follows: Monday to Friday 8:45 a.m. to 14:00 p.m. and 15:45 p.m. to 19:00 p.m., Saturdays from 10:00 a.m. to 12:00 p.m.\n\nTravel Agency\n\nThere are two travel agencies on Vera Campus, both offer discount prices for UPV Students and Staff. It is located at the Ágora on Vera Campus Site.\n\nHair dressers\n\nIts timetable is as follows: from Monday to Friday 8:00 a.m. to 7:00 p.m. and Saturdays from 10:00 a.m. to 12:00 a.m. This fully equipped hairdresser offers special discount prices for our students.\n\nNewsagents / kiosks\n\nThe kiosk is situated at the Agora on Vera Campus Site. The Timetable for this store is as follows: Monday to Friday 8:30 a.m. to 14:00 p.m. and 15:45 p.m. to 19:00 p.m.\n\nBazaar\n\nIt is situated at 5S on Vera Campus Site. The timetable is: 8:45 a.m. to 14:00 p.m. and 15:45 p.m. to 19:00 p.m. It offers sports equipment and UPV souvenirs.\n\nBanks\n\nThere are several banks located at the Agora on Vera Campus Site and one at the Galileo Galilei premises. They are open from Monday to Friday 8:15 a.m. to 14:30 p.m. There are also cash point machines available whilst the Vera Campus Site is open.", @"")];
                        break;
                    default:
                        break;
                }
                break;
            case 4:
                switch (item) {
                    case 0:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Useful cards", @"")];
                        [detailTextView setText:NSLocalizedString(@"The Universitat Politècnica de València issues for ALL Students a Student Card, known as Carnet De Estudiante de la “Universitat Politècnica de València”, which allows the use of all the services and facilities of the “Universitat Politècnica de València” under the same conditions as Spanish students. With this card, you can get discounts in many places such as cinemas and theatres, etc.\nThe Information Office, arranges and coordi- nates different types of student cards pro the members fo the University.\nYou can apply for the student cards in this office, as well as the international cards and hostels.\nThis office also deals with the international card called ISIC, the teacher’s card called ITIC, and for the youth, the international card for travelling, IYTC. Those cards are valid all around the world and offer you various advan- tages in more than 28.000 shops.\nThe Valencia government (Generalitat Valenciana), with the help of the IVAJ (Instituto Valenciano de la Juventud) offers to students under 26 the Carnet Jove (known in Europe as the Under 26 Card) it offers some discounts at cinemas, theatres, accommodation, shops, transportations such as metro and bus etc. It can be used in 28 European coun- tries. Can be obtained by young people form 14 to 30 years old, and has the objective of offering advantages and services in different places. It is valid for two years, a passport picture and a payment of 8.00 €, are required.places. It is valid for two years, a passport picture and a payment of 8.00 €, are required.\nYour Carnet Jove can be issued at: BANCAIXA, la CAM, Caixa Ontinyent, Caixa Carlet, la Federació de Cooperatives de Crèdit Valencianes (Caixes Rurals), and at the IVAJ premises.\nFor more information visit:\nhttp://www.ivaj.es/ivaj/opencms/IVAJ/es/tie mpo/carnes/carnet_jove_y_mas_26.html\nhttp://www.euro26.org\nIn Valencia, you can obtain the Carnet Internacional de Estudiante - ISIC (International Student Identity Card- ISIC). This card offers you discounts in accommodation, entertainment events, museums, etc. With this card you can obtain a guide of discounts and services around the world, and about the con- ditions of the insurance you will obtain when you become an ISIC holder\nISIC holder requirements: Age: over 12 years. Price: 6 euros Documents required:\nOne passport picture, ID card, and proof of the studies you are taking, for example a copy of your enrolment form, valid for the year.\nFor further enquiries view: http://www.isic.org www.info.upv.es informacion@upv.esYour Carnet Jove can be issued at: BANCAIXA, la CAM, Caixa Ontinyent, Caixa Carlet, la Federació de Cooperatives de Crèdit Valencianes (Caixes Rurals), and at the IVAJ premises.\nFor more information visit:\nhttp://www.ivaj.es/ivaj/opencms/IVAJ/es/tie mpo/carnes/carnet_jove_y_mas_26.html\nhttp://www.euro26.org\nIn Valencia, you can obtain the Carnet Internacional de Estudiante - ISIC (International Student Identity Card- ISIC). This card offers you discounts in accommodation, entertainment events, museums, etc. With this card you can obtain a guide of discounts and services around the world, and about the con- ditions of the insurance you will obtain when you become an ISIC holder.\nISIC holder requirements: Age: over 12 years. Price: 6 euros Documents required:\nOne passport picture, ID card, and proof of the studies you are taking, for example a copy of your enrolment form, valid for the year.\nFor further enquiries view: http://www.isic.org www.info.upv.es informacion@upv.es", @"")];
                        break;
                    case 1:
                        [[self navigationItem] setTitle:NSLocalizedString(@"IVAJ", @"")];
                        [detailTextView setText:NSLocalizedString(@"The IVAJ is run by the Valencian Government; it offers many services to Students such as:\n\n- Advising and information to young people about entrepreneurship, housing, employment, etc.\n- Cultural activities\n- Cheap fares travel\n- Issuing Youth Card (under 26)\n- Cheap accommodation worldwide\n- Medical Insurance for youth people\n- Courses on different fields\n- International Programs\n\nThe IVAJ is part of the worldwide youth cen- tres network, it is located at:\nInstituto Valenciano de la Juventud (IVAJ)\nCalle Hospital, 11\n46001 Valencia\nTel 012\nFax: 96 386 99 04 E-mail: infoivaj@gva.es Web: http://www.ivaj.es", @"")];
                        break;
                    case 2:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Money matters", @"")];
                        [detailTextView setText:NSLocalizedString(@"Spain is member of the European Monetary Union and its currency is the Euro (€)\n\nBanks\n\nBanks are usually opened in the morning, from Monday to Friday from 8.30 am to 14:30 pm. During Summer time (July and August) they are opened from 9.00 am to 14:00 pm, from Monday to Friday. On Vera Campus there are 3 banks located at the Ágora, and another one in the Building 6B, where you can change foreign currency.", @"")];
                        break;
                    case 3:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Living costs", @"")];
                        [detailTextView setText:NSLocalizedString(@"The cost of living inside the university is less than buy the same products outside it. For example, one coffe costs 0,70€ compared to the 1,25 € that cost in the city.", @"")];
                        break;
                    case 4:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Telephone calls", @"")];
                        [detailTextView setText:NSLocalizedString(@"In Spain, electricity is distributed, by means of alternating current (AC), with a voltage of 220 volts and a frequency of 50 Hz.", @"")];
                        break;
                    case 5:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Electricity", @"")];
                        [detailTextView setText:NSLocalizedString(@"There are public phone boxes around the city and in the “Universitat Politècnica de València” which you can use with phone-card or coins. Phone-cards can be bought in almost any tobacconist’s (estancos).\nThere is a national information number which is 118 18, cost of the phone call 0.35 € and another for international information that is 118 25.\nFor international calls from Spain you will have to dial the following codes:\n- 00 (access to the international exchange)\n- The code of the country you are phoning\n- Local code\n- The phone number you want to call\n\nIf you want to ring to Spain while abroad the international code is 34.\nReverse-charged calls are also possible. There are two ways of making this type of call:\n1. Phoning directly to the operator of the coun- try where you want to phone.\n2. Phoning to the Spanish operator and ask for the reverse-charged call. This service is acces- sible by dialling the 1009.\n\nYou can reduce the price of your phone calls by phoning between 8 p.m. and 8 a.m.\nExisten tres operadores de telefonía móvil en España: Movistar, Orange y Vodafone, Yoigo, Simyo, etc. In theTobacconist’s and Kiosks, cards for mobile phones can be purchased.", @"")];
                        break;
                    case 6:
                        [[self navigationItem] setTitle:NSLocalizedString(@"Useful practical information", @"")];
                        [detailTextView setText:NSLocalizedString(@"Universitat Politècnica de València\nCamino de Vera, s/n\n\nE - 46022 – VALENCIA (SPAIN) TEL: (+34) 96 387 70 00\nFAX: (+34) 96 387 70 09 (International Code: + 34)\nMedical Service 963877407\nLost Property office 963877890\nSecurity Service 963877405\n\nCity of Valencia\n\nEmergency calls (hospital) Tel. 112\nAmbulances 963 500 100\nAmbulances Red Cross 963 677 375\nCity Hall 963 525 478\nFiremen 080\nLa Fe Hospital 963 862 700\nConsuelo Hospital 963 177 800\nClínica Virgen del Consuelo 963 177 800\nCruz Roja 913 354 545\nHospital Clínico 963 862 600\nHospital General 961 972 000\nInformación Toxicológica 961 620 420\nPolicia Municipal 092\nPolicia Nacional 091\nGuardia Civil 062\n\nOther services\n\nAirport 961 598 500\nRoad help 900 123 505\nE.M.T. 963 158 515\nBus station 963 466 266\nF.G.V. 963 974 040\nRENFE 902 240 202\nGeneralitat Valenciana 963 866 000\nWeather service 963 932 284\nRoad state 900123505\nTele-Taxi 963 571 313\nRadio Taxi 963 703 333", @"")];
                        break;
                }
                break;
            default:
                break;
        }
 
    }

}

- (void)changeNavigationBar
{
    if ([[[self navigationController] navigationBar] isHidden]){
        [[[self navigationController] navigationBar] setHidden:NO];
    } else {
        [[[self navigationController] navigationBar] setHidden:YES];
    }
}

@end
