//
//  ETSINFDetailViewController.m
//  ETSINF-UPV
//
//  Created by Alberto Saez on 09/08/13.
//  Copyright (c) 2013 Alberto Saez. All rights reserved.
//

#import "ETSINFDetailViewController.h"

NSString *dsic_text = @"DEPARTMENT OF INFORMATION SYSTEMS AND COMPUTING (Departamento de sistemas informaticos y computación)\n\nThis department is in charge of organising and developing the research and the teaching about different aspects of computing. The DSIC also teaches in differents master's degrees, PhD's and several formation courses. The department has a very impotant role in the research tasks of the university.\n\nFor more information, please visit http://www.dsic.upv.es .";

NSString *disca_text = @"DEPARTMENT OF COMPUTING ENGINEERING (Departamento de Informática de Sistemas y Computadores)\n\nThis department is in charge of organising and developing the research and the teaching in the Computer Architecture field.\n The DISCA teaches the following bachelor's degrees: Aerospace Engineering, Biomedical Engineering, Chemical Engineering, Computer Engineering, Electrical Engineering, Industrial Design Engineering and Product Development, Industrial Electronics and Automation Engineering, Mechanical Engineering, and Telecommunication Engineering.\n\nThe DISCA also teaches four quatre master's degrees: Automation and Industrial Computing, Computer Engineering, Information Management, and Maintenance Engineering. It participates in two PhD's programs: Computer Science and Automation, Robotics and Industrial Computing.\n\nFor more information, please visit http://www.disca.upv.es .";

NSString *library_text = @"COMPUTING AND DOCUMENTATION LIBRARY \"Enric Valor\"\n\nThe purpose is to provide access to all kinds of scientific and cultural information. To ensure this, the Library works on the conservation, expansion and dissemination of the University's collection of books, documents and audio-visual material.\n\nWHERE WE ARE?\n\nEdificio Multiusos de Informática, Building 1H\nCamino de Vera s/n\n46022 Valencia\nTel: 963877007 Ext: 78826\nCorreo electrónico:bibinformatica@bib.upv.es\n\nOPENING HOURS\n\nMonday to Friday from 08:00 to 21:00*\n*Between 18:00 and 19:00 hours, the loan service will be interrupted for 40 minutes.\n\nFACILITIES\n\nThe library occupies an area of 495 m2.\nIt has 198 readind desks, 138 with power sockets.\n4 adpated reading desks and with power sockets.\n1 group study carrel holding 6 people.\n10 computers for consulting the catalogue and accessing the Internet.\n1 scanner.\n\nRECOMMENDATIONS FOR USE\n\nAll mobile telephones must be switched off before entering the library.\nNo food or drink, except for water, may be brougth into the library.\nSmoking is not permitted.\nAll books consulted must be returned to the shelves.\nPlease, observe silence.\nPlease, keep the tables clean.\n\nFor more information, please visit http://www.upv.es/contenidos/BIBINF .";

NSString *printing = @"PRINTING AT THE ETSINF\n\nIf you like to print any document at the ETSINF, you have basically two options:\n\nA - REPROGRAPHY SERVICE:\n\nThis is a professional service for printing.\nGo there (see map tab) with your USB or CD and ask what ever you need. \n\nB - PRINTING CARDS:\n\nYou can get those cards for only 4 € each at the free-use computer room (see map tab).\nWe recommend to use those cards when high quality printing is not needed.\nWhen you get the card for the first time, you obtain 100 printings. Once you have used them, you can recharge your card as many times you need and for the number of printings you may require.\nTo print, login into any computer and send your work to your choosen printer. Then, go to the said printer, insert your card and find out your username to see your current works.";

NSString *readCarefully = @"Information about tuition in the School of Computer Science:\n- Computer Science degree (5-year programme) - Syllabus Structure\nOnly courses from 5th year will have tuition during 2013-14\n\n- Grado en Ingeniería Informática (156 - GII, 4-year programme) - the courses from all the 4 years will be taught during 2013-14.\n- Master en Gestión de la Información (1 -1/2year programme) - the courses from all the programme will be taught during 2013-14.";

@implementation ETSINFDetailViewController
@synthesize item, ETSINFTextView;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    UITapGestureRecognizer *tapGesture = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(changeNavigationBar)];
    [self.view addGestureRecognizer:tapGesture];
    // Do any additional setup after loading the view from its nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
    
    switch (item) {
        case 1: //Eating
        {
            [[self navigationItem] setTitle:@"Vella"];
            [[[self navigationController] navigationBar] setHidden:YES];
            break;
        }
        case 2: //Reprography
        {
            [[[self navigationController] navigationBar] setHidden:NO];
           [[self navigationItem] setTitle:NSLocalizedString(@"Printing",@"")];
            [ETSINFTextView setText:NSLocalizedString(@"PRINTING AT THE ETSINF\n\nIf you like to print any document at the ETSINF, you have basically two options:\n\nA - REPROGRAPHY SERVICE:\n\nThis is a professional service for printing.\nGo there (see map tab) with your USB or CD and ask what ever you need. \n\nB - PRINTING CARDS:\n\nYou can get those cards for only 4 € each at the free-use computer room (see map tab).\nWe recommend to use those cards when high quality printing is not needed.\nWhen you get the card for the first time, you obtain 100 printings. Once you have used them, you can recharge your card as many times you need and for the number of printings you may require.\nTo print, login into any computer and send your work to your choosen printer. Then, go to the said printer, insert your card and find out your username to see your current works.", @"printing text")];
            break;
        }
        case 3: //DAI
        {
            CGRect rect = [[UIScreen mainScreen] bounds];
            CGSize screenSize = rect.size;
            [[self navigationItem] setTitle:@"DAI"];
            [[[self navigationController] navigationBar] setHidden:NO];
            
            UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0,0,screenSize.width,screenSize.height-49)];
            [webView autoresizesSubviews];
            webView.autoresizingMask=(UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth);
            NSURLRequest *request = [NSURLRequest requestWithURL:[NSURL URLWithString:@"http://www.dai.upv.es"]];
            [webView setScalesPageToFit:YES];
            [webView loadRequest:request];
            [[self view] addSubview:webView];
        }
            break;
        case 10:
        {
            [[[self navigationController] navigationBar] setHidden:NO];
            [[self navigationItem] setTitle:@"DSIC"];
            [ETSINFTextView setText:NSLocalizedString(@"DEPARTMENT OF INFORMATION SYSTEMS AND COMPUTING (Departamento de sistemas informaticos y computación)\n\nThis department is in charge of organising and developing the research and the teaching about different aspects of computing. The DSIC also teaches in differents master's degrees, PhD's and several formation courses. The department has a very impotant role in the research tasks of the university.\n\nFor more information, please visit http://www.dsic.upv.es .",@"DSIC_TEXT")];
            break;
        }
        case 11:
        {
            [[[self navigationController] navigationBar] setHidden:NO];
            [[self navigationItem] setTitle:@"DISCA"];
            [ETSINFTextView setText:NSLocalizedString(@"DEPARTMENT OF COMPUTING ENGINEERING (Departamento de Informática de Sistemas y Computadores)\n\nThis department is in charge of organising and developing the research and the teaching in the Computer Architecture field.\n The DISCA teaches the following bachelor's degrees: Aerospace Engineering, Biomedical Engineering, Chemical Engineering, Computer Engineering, Electrical Engineering, Industrial Design Engineering and Product Development, Industrial Electronics and Automation Engineering, Mechanical Engineering, and Telecommunication Engineering.\n\nThe DISCA also teaches four quatre master's degrees: Automation and Industrial Computing, Computer Engineering, Information Management, and Maintenance Engineering. It participates in two PhD's programs: Computer Science and Automation, Robotics and Industrial Computing.\n\nFor more information, please visit http://www.disca.upv.es .",@"DISCA_TEXT")];
            break;
        }
        case 12:
        {
            [[[self navigationController] navigationBar] setHidden:NO];
            [[self navigationItem] setTitle:NSLocalizedString(@"Library",@"")];
            [ETSINFTextView setText:NSLocalizedString(@"COMPUTING AND DOCUMENTATION LIBRARY \"Enric Valor\"\n\nThe purpose is to provide access to all kinds of scientific and cultural information. To ensure this, the Library works on the conservation, expansion and dissemination of the University's collection of books, documents and audio-visual material.\n\nWHERE WE ARE?\n\nEdificio Multiusos de Informática, Building 1H\nCamino de Vera s/n\n46022 Valencia\nTel: 963877007 Ext: 78826\nCorreo electrónico:bibinformatica@bib.upv.es\n\nOPENING HOURS\n\nMonday to Friday from 08:00 to 21:00*\n*Between 18:00 and 19:00 hours, the loan service will be interrupted for 40 minutes.\n\nFACILITIES\n\nThe library occupies an area of 495 m2.\nIt has 198 readind desks, 138 with power sockets.\n4 adpated reading desks and with power sockets.\n1 group study carrel holding 6 people.\n10 computers for consulting the catalogue and accessing the Internet.\n1 scanner.\n\nRECOMMENDATIONS FOR USE\n\nAll mobile telephones must be switched off before entering the library.\nNo food or drink, except for water, may be brougth into the library.\nSmoking is not permitted.\nAll books consulted must be returned to the shelves.\nPlease, observe silence.\nPlease, keep the tables clean.\n\nFor more information, please visit http://www.upv.es/contenidos/BIBINF .",@"LIBRARY_TEXT")];
            break;
        }
        case 20:
        {
            [[[self navigationController] navigationBar] setHidden:NO];
            [[self navigationItem] setTitle:NSLocalizedString(@"PLEASE READ CAREFULLY",@"READ_CAREFULLY_TEXT")];
            [ETSINFTextView setText:NSLocalizedString(@"Information about tuition in the School of Computer Science:\n- Computer Science degree (5-year programme) - Syllabus Structure\nOnly courses from 5th year will have tuition during 2013-14\n\n- Grado en Ingeniería Informática (156 - GII, 4-year programme) - the courses from all the 4 years will be taught during 2013-14.\n- Master en Gestión de la Información (1 -1/2year programme) - the courses from all the programme will be taught during 2013-14.",@"READ_CAREFULLY_TEXT")];
            break;
        }
        case 21:
        {
            [[self navigationItem] setTitle:NSLocalizedString(@"Courses in English",@"")];
            CGRect rect = [[UIScreen mainScreen] bounds];
            CGSize screenSize = rect.size;
            
            UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0,0,screenSize.width,screenSize.height-49)];
            [webView autoresizesSubviews];
            webView.autoresizingMask=(UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth);
            NSString *path = [[NSBundle mainBundle] pathForResource:@"courses_english" ofType:@"pdf"];
            NSURL *targetURL = [NSURL fileURLWithPath:path];
            NSURLRequest *request = [NSURLRequest requestWithURL:targetURL];
            [webView setScalesPageToFit:YES];
            [webView loadRequest:request];
            [[self view] addSubview:webView];
            break;
        }
        case 22:
        {
            [[[self navigationController] navigationBar] setHidden:NO];
            [[self navigationItem] setTitle:NSLocalizedString(@"Courses - 110 II",@"")];
            CGRect rect = [[UIScreen mainScreen] bounds];
            CGSize screenSize = rect.size;
            
            UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0,0,screenSize.width,screenSize.height-49)];
            [webView autoresizesSubviews];
            webView.autoresizingMask=(UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth);
            NSString *path = [[NSBundle mainBundle] pathForResource:@"Courses_110" ofType:@"pdf"];
            NSURL *targetURL = [NSURL fileURLWithPath:path];
            NSURLRequest *request = [NSURLRequest requestWithURL:targetURL];
            [webView setScalesPageToFit:YES];
            [webView loadRequest:request];
            [[self view] addSubview:webView];
            break;
        }
        case 23:
        {
            [[[self navigationController] navigationBar] setHidden:NO];
            [[self navigationItem] setTitle:NSLocalizedString(@"Courses - 156 GII",@"")];
            CGRect rect = [[UIScreen mainScreen] bounds];
            CGSize screenSize = rect.size;
            
            UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0,0,screenSize.width,screenSize.height-49)];
            [webView autoresizesSubviews];
            webView.autoresizingMask=(UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth);
            NSString *path = [[NSBundle mainBundle] pathForResource:@"Courses_156" ofType:@"pdf"];
            NSURL *targetURL = [NSURL fileURLWithPath:path];
            NSURLRequest *request = [NSURLRequest requestWithURL:targetURL];
            [webView setScalesPageToFit:YES];
            [webView loadRequest:request];
            [[self view] addSubview:webView];
            break;
        }
        case 24:
        {
            [[[self navigationController] navigationBar] setHidden:NO];
            [[self navigationItem] setTitle:NSLocalizedString(@"Courses - 2180 MUGI",@"")];
            CGRect rect = [[UIScreen mainScreen] bounds];
            CGSize screenSize = rect.size;
            
            UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0,0,screenSize.width,screenSize.height-49)];
            [webView autoresizesSubviews];
            webView.autoresizingMask=(UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth);
            NSString *path = [[NSBundle mainBundle] pathForResource:@"Courses_2180" ofType:@"pdf"];
            NSURL *targetURL = [NSURL fileURLWithPath:path];
            NSURLRequest *request = [NSURLRequest requestWithURL:targetURL];
            [webView setScalesPageToFit:YES];
            [webView loadRequest:request];
            [[self view] addSubview:webView];
            break;
        }
        case 25:
        {
            [[[self navigationController] navigationBar] setHidden:NO];
            [[self navigationItem] setTitle:NSLocalizedString(@"Courses ETSINF free election",@"")];
            CGRect rect = [[UIScreen mainScreen] bounds];
            CGSize screenSize = rect.size;
            
            UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0,0,screenSize.width,screenSize.height-49)];
            [webView autoresizesSubviews];
            webView.autoresizingMask=(UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth);
            NSString *path = [[NSBundle mainBundle] pathForResource:@"Courses_free" ofType:@"pdf"];
            NSURL *targetURL = [NSURL fileURLWithPath:path];
            NSURLRequest *request = [NSURLRequest requestWithURL:targetURL];
            [webView setScalesPageToFit:YES];
            [webView loadRequest:request];
            [[self view] addSubview:webView];
            break;
        }
        default:
            break;
    }
}

- (void)changeNavigationBar
{
    if ([[[self navigationController] navigationBar] isHidden]){
        [[[self navigationController] navigationBar] setHidden:NO];
    } else {
        [[[self navigationController] navigationBar] setHidden:YES];
    }
}

@end
