//
//  EntitiesViewController.m
//  ETSINF-UPV
//
//  Created by Alberto Saez on 19/08/13.
//  Copyright (c) 2013 Alberto Saez. All rights reserved.
//

#import "EntitiesViewController.h"
#import "ETSINFDetailViewController.h"

@interface EntitiesViewController ()

@end

@implementation EntitiesViewController

- (id)init
{
    self = [super initWithStyle:UITableViewStyleGrouped];
    if (self)
    {
        [[self navigationItem] setTitle:NSLocalizedString(@"Entities", @"title of view Entities")];
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    UIBarButtonItem *backButton = [UIBarButtonItem new];
    [backButton setTitle:NSLocalizedString(@"Entities", @"backButton Entities")];
    [backButton setTintColor:[UIColor colorWithRed:212/255.0 green:0 blue:102/255.0 alpha:1]];
    [[self navigationItem] setBackBarButtonItem:backButton];
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    ETSINFDetailViewController *detail = [[ETSINFDetailViewController alloc] init];
    [detail setItem:[indexPath row]+10];
    [[self navigationController] pushViewController:detail animated:YES];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"UITableViewCell"];
    
    if (!cell)
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"UITableViewCell"];
    
    switch ([indexPath row]) {
        case 0:
            [[cell textLabel] setText:NSLocalizedString(@"DSIC",@"")];
            break;
        case 1:
            [[cell textLabel] setText:NSLocalizedString(@"DISCA",@"")];
            break;
        case 2:
            [[cell textLabel] setText:NSLocalizedString(@"Library",@"")];
            break;
        default:
            break;
    }
    [[cell textLabel] setTextColor:[UIColor colorWithRed:212/255.0 green:0 blue:102/255.0 alpha:1]];
    [cell setSelectionStyle:UITableViewCellSelectionStyleGray];
    
    return cell;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 3;
}

@end
