//
//  EtsinfViewController.m
//  ETSINF-UPV
//
//  Created by Alberto Saez on 05/08/13.
//  Copyright (c) 2013 Alberto Saez. All rights reserved.
//

#import "EtsinfViewController.h"
#import "ETSINFDetailViewController.h"
#import "EntitiesViewController.h"
#import "VellaDetailViewController.h"
#import "CoursesViewController.h"

@implementation EtsinfViewController

- (id)init
{
    self = [super initWithStyle:UITableViewStyleGrouped];
    if (self)
    {
        [[self navigationItem] setTitle:NSLocalizedString(@"ETSINF", @"title of view")];
    }
    return self;
}

- (id)initWithStyle:(UITableViewStyle)style
{
    return [self init];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    UIBarButtonItem *backButton = [UIBarButtonItem new];
    [backButton setTitle:@"ETSINF"];
    [backButton setTintColor:[UIColor colorWithRed:212/255.0 green:0 blue:102/255.0 alpha:1]];
    [[self navigationItem] setBackBarButtonItem:backButton];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    if ([indexPath row] == 0) {
        EntitiesViewController *entities = [[EntitiesViewController alloc] init];
        [[self navigationController] pushViewController:entities animated:YES];
        
    } else if ([indexPath row] == 1) {
        VellaDetailViewController *eating = [[VellaDetailViewController alloc] init];
        [[self navigationController] pushViewController:eating animated:YES];
    } else if ([indexPath row] == 4) {
        CoursesViewController *courses = [[CoursesViewController alloc] init];
        [[self navigationController] pushViewController:courses animated:YES];
    } else {
        ETSINFDetailViewController *detail = [[ETSINFDetailViewController alloc] init];
        [detail setItem:[indexPath row]];
        [[self navigationController] pushViewController:detail animated:YES];
    }
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return 5;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"UITableViewCell"];
    
    if (!cell)
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"UITableViewCell"];
    
    switch ([indexPath row]) {
        case 0:
            [[cell textLabel] setText:NSLocalizedString(@"Entities",@"")];
            break;
        case 1:
            [[cell textLabel] setText:NSLocalizedString(@"Eating",@"")];
            break;
        case 2:
            [[cell textLabel] setText:NSLocalizedString(@"Printing",@"")];
            break;
        case 3:
            [[cell textLabel] setText:NSLocalizedString(@"DAI web",@"")];
            break;
        case 4:
            [[cell textLabel] setText:NSLocalizedString(@"Courses",@"")];
        default:
            break;
    }
    [[cell textLabel] setTextColor:[UIColor colorWithRed:212/255.0 green:0 blue:102/255.0 alpha:1]];
    [cell setSelectionStyle:UITableViewCellSelectionStyleGray];
    
    return cell;
}

@end
