//
//  GuideViewController.m
//  ETSINF-UPV
//
//  Created by Alberto Saez on 26/08/13.
//  Copyright (c) 2013 Alberto Saez. All rights reserved.
//

#import "GuideViewController.h"
#import "DetailViewController.h"

@implementation GuideViewController
@synthesize section_guide;
- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    UIBarButtonItem *backButton = [UIBarButtonItem new];
    switch (section_guide) {
        case 0:
            [backButton setTitle:@"Valencia"];
            [[self navigationItem] setTitle:NSLocalizedString(@"The city of Valencia", @"title of view GUIDE")];
            break;
        case 1:
            [backButton setTitle:@"UPV"];
            [[self navigationItem] setTitle:NSLocalizedString(@"The Polytechnic University", @"title of view GUIDE")];
            break;            
        case 2:
            [backButton setTitle:@"Stay"];
            [[self navigationItem] setTitle:NSLocalizedString(@"Preparing for your stay in the UPV", @"title of view GUIDE")];
            break;
        case 3:
            [backButton setTitle:@"Services"];
            [[self navigationItem] setTitle:NSLocalizedString(@"Services in the UPV", @"title of view GUIDE")];
            break;
        case 4:
            [backButton setTitle:@"Info"];
            [[self navigationItem] setTitle:NSLocalizedString(@"Useful information", @"title of view GUIDE")];
            break;
        default:
            break;
    }
    [backButton setTintColor:[UIColor colorWithRed:212/255.0 green:0 blue:102/255.0 alpha:1]];
    [[self navigationItem] setBackBarButtonItem:backButton];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    // Return the number of sections.
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    // Return the number of rows in the section.
    switch (section_guide) {
        case 0:
            return 10;
        case 1:
            return 11;
        case 2:
            return 8;
        case 3:
            return 15;
        case 4:
            return 7;
        default:
            break;
    }
    return 0;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"UITableViewCell"];
    
    if (!cell)
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"UITableViewCell"];
    switch (section_guide) {
        case 0:
            switch ([indexPath row]) {
                case 0:
                    [[cell textLabel] setText:NSLocalizedString(@"Origins", @"")];
                    break;
                case 1:
                    [[cell textLabel] setText:NSLocalizedString(@"Communications", @"")];
                    break;
                case 2:
                    [[cell textLabel] setText:NSLocalizedString(@"Public transport", @"")];
                    break;
                case 3:
                    [[cell textLabel] setText:NSLocalizedString(@"Living in Valencia", @"")];
                    break;
                case 4:
                    [[cell textLabel] setText:NSLocalizedString(@"Places to visit", @"")];
                    break;
                case 5:
                    [[cell textLabel] setText:NSLocalizedString(@"Beaches", @"")];
                    break;
                case 6:
                    [[cell textLabel] setText:NSLocalizedString(@"Sports Centres", @"")];
                    break;
                case 7:
                    [[cell textLabel] setText:NSLocalizedString(@"Cultural life", @"")];
                    break;
                case 8:
                    [[cell textLabel] setText:NSLocalizedString(@"Night life", @"")];
                    break;
                case 9:
                    [[cell textLabel] setText:NSLocalizedString(@"Local festivities", @"")];
                    break;
                default:
                    break;
            }
            break;
        case 1:
            switch ([indexPath row]) {
                case 0:
                    [[cell textLabel] setText:NSLocalizedString(@"History", @"")];
                    break;
                case 1:
                    [[cell textLabel] setText:NSLocalizedString(@"Vera campus", @"")];
                    break;
                case 2:
                    [[cell textLabel] setText:NSLocalizedString(@"Transport to Vera Campus", @"")];
                    break;
                case 3:
                    [[cell textLabel] setText:NSLocalizedString(@"Structure of studies", @"")];
                    break;
                case 4:
                    [[cell textLabel] setText:NSLocalizedString(@"Studies at UPV", @"")];
                    break;
                case 5:
                    [[cell textLabel] setText:NSLocalizedString(@"Schools and Faculties", @"")];
                    break;
                case 6:
                    [[cell textLabel] setText:NSLocalizedString(@"Lifelong learning", @"")];
                    break;
                case 7:
                    [[cell textLabel] setText:NSLocalizedString(@"Spanish courses", @"")];
                    break;
                case 8:
                    [[cell textLabel] setText:NSLocalizedString(@"Grading of qualifications", @"")];
                    break;
                case 9:
                    [[cell textLabel] setText:NSLocalizedString(@"Language of Instruction", @"")];
                    break;
                case 10:
                    [[cell textLabel] setText:NSLocalizedString(@"Courses in English", @"")];
                    break;
                default:
                    break;
            }
            break;
        case 2:
            switch ([indexPath row]) {
                case 0:
                    [[cell textLabel] setText:NSLocalizedString(@"International institutions", @"")];
                    break;
                case 1:
                    [[cell textLabel] setText:NSLocalizedString(@"Mentor Programme", @"")];
                    break;
                case 2:
                    [[cell textLabel] setText:NSLocalizedString(@"Orientation Sessions", @"")];
                    break;
                case 3:
                    [[cell textLabel] setText:NSLocalizedString(@"Accommodation", @"")];
                    break;
                case 4:
                    [[cell textLabel] setText:NSLocalizedString(@"Academic calendar", @"")];
                    break;
                case 5:
                    [[cell textLabel] setText:NSLocalizedString(@"First visit", @"")];
                    break;
                case 6:
                    [[cell textLabel] setText:NSLocalizedString(@"Residence permit: Visa", @"")];
                    break;
                case 7:
                    [[cell textLabel] setText:NSLocalizedString(@"Health Insurance", @"")];
                    break;
                default:
                    break;
            }
            break;
        case 3:
            switch ([indexPath row]) {
                case 0:
                    [[cell textLabel] setText:NSLocalizedString(@"Information Office", @"")];
                    break;
                case 1:
                    [[cell textLabel] setText:NSLocalizedString(@"Library and documentation", @"")];
                    break;
                case 2:
                    [[cell textLabel] setText:NSLocalizedString(@"Vice-rectorate of culture", @"")];
                    break;
                case 3:
                    [[cell textLabel] setText:NSLocalizedString(@"Sports area", @"")];
                    break;
                case 4:
                    [[cell textLabel] setText:NSLocalizedString(@"Medical services", @"")];
                    break;
                case 5:
                    [[cell textLabel] setText:NSLocalizedString(@"CEDAT foundation", @"")];
                    break;
                case 6:
                    [[cell textLabel] setText:NSLocalizedString(@"Computer service", @"")];
                    break;
                case 7:
                    [[cell textLabel] setText:NSLocalizedString(@"Student's Union", @"")];
                    break;
                case 8:
                    [[cell textLabel] setText:NSLocalizedString(@"Student's Home", @"")];
                    break;
                case 9:
                    [[cell textLabel] setText:NSLocalizedString(@"University Ombudsman", @"")];
                    break;
                case 10:
                    [[cell textLabel] setText:NSLocalizedString(@"Language laboratory", @"")];
                    break;
                case 11:
                    [[cell textLabel] setText:NSLocalizedString(@"Language centre", @"")];
                    break;
                case 12:
                    [[cell textLabel] setText:NSLocalizedString(@"ICE and GOPU", @"")];
                    break;
                case 13:
                    [[cell textLabel] setText:NSLocalizedString(@"Employment service(SIE)", @"")];
                    break;
                case 14:
                    [[cell textLabel] setText:NSLocalizedString(@"Other services", @"")];
                    break;
                default:
                    break;
            }
            break;
        case 4:
            switch ([indexPath row]) {
                case 0:
                    [[cell textLabel] setText:NSLocalizedString(@"Useful cards", @"")];
                    break;
                case 1:
                    [[cell textLabel] setText:NSLocalizedString(@"IVAJ", @"")];
                    break;
                case 2:
                    [[cell textLabel] setText:NSLocalizedString(@"Money matters", @"")];
                    break;
                case 3:
                    [[cell textLabel] setText:NSLocalizedString(@"Living costs", @"")];
                    break;
                case 4:
                    [[cell textLabel] setText:NSLocalizedString(@"Telephone calls", @"")];
                    break;
                case 5:
                    [[cell textLabel] setText:NSLocalizedString(@"Electricity", @"")];
                    break;
                case 6:
                    [[cell textLabel] setText:NSLocalizedString(@"Useful practical information", @"")];
                    break;
            }
            break;
        default:
            break;
    }
    
    [cell setSelectionStyle:UITableViewCellSelectionStyleGray];

    return cell;
}

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    DetailViewController *detailViewController = [[DetailViewController alloc] init];
    [detailViewController setItemSection:section_guide];
    [detailViewController setItem:[indexPath row]];
    [self.navigationController pushViewController:detailViewController animated:YES];
}

@end
