//
//  InfoViewController.m
//  ETSINF-UPV
//
//  Created by Alberto Saez on 03/08/13.
//  Copyright (c) 2013 Alberto Saez. All rights reserved.
//

#import "InfoViewController.h"
#import "DetailViewController.h"
#import "ValenbisiViewController.h"
#import "GuideViewController.h"

@implementation InfoViewController

- (id)init
{
    self = [super initWithStyle:UITableViewStyleGrouped];
    if (self)
    {
        [[self navigationItem] setTitle:NSLocalizedString(@"Home", @"title of view")];
    }
    return self;
}

- (id)initWithStyle:(UITableViewStyle)style
{
    return [self init];
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    UIBarButtonItem *backButton = [UIBarButtonItem new];
    [backButton setTitle:@"Home"
     ];
    [backButton setTintColor:[UIColor colorWithRed:212/255.0 green:0 blue:102/255.0 alpha:1]];
    [[self navigationItem] setBackBarButtonItem:backButton];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    return 2;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    switch (section) {
        case 0:
            return 5;
            break;
        case 1:
            return 3;
        default:
            break;
    }
    return 0;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"UITableViewCell"];
    
    if (!cell)
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"UITableViewCell"];
    
    switch ([indexPath section]) {
        case 0:
            switch ([indexPath row]) {
                case 0:
                    [[cell textLabel] setText:NSLocalizedString(@"The city of Valencia",@"City of Valencia")];
                    break;
                case 1:
                    [[cell textLabel] setText:NSLocalizedString(@"The Polytechnic University",@"Polytechnic University")];
                    break;
                case 2:
                    [[cell textLabel] setText:NSLocalizedString(@"Preparing for your stay in the UPV",@"Stay at UPV")];
                    break;
                case 3:
                    [[cell textLabel] setText:NSLocalizedString(@"Services in the UPV",@"Services")];
                    break;
                case 4:
                    [[cell textLabel] setText:NSLocalizedString(@"Useful information",@"Useful Info")];
                    break;
                default:
                    break;
            }
            break;
        case 1:
            switch ([indexPath row]) {
                case 0:
                    [[cell textLabel] setText:NSLocalizedString(@"UPV map",@"UPV map")];
                    break;
                case 1:
                {
                    [[cell textLabel] setText:NSLocalizedString(@"Metro map",@"Metro map")];
                    UIButton *metroButton = [UIButton buttonWithType:UIButtonTypeInfoDark];
                    [metroButton addTarget:self action:@selector(showMetroSchedule:) forControlEvents:UIControlEventTouchUpInside];
                    [cell setAccessoryView:metroButton];
                    break;
                }
                case 2:
                {
                    UIButton *accesoryButton = [UIButton buttonWithType:UIButtonTypeInfoDark];
                    [accesoryButton addTarget:self action:@selector(showValenbisiInfo:) forControlEvents:UIControlEventTouchUpInside];
                    [cell setAccessoryView:accesoryButton];
                    [[cell textLabel] setText:@"Valenbisi"];
                    break;
                }
                default:
                    break;
            }
        default:
            break;
    }
    [cell setSelectionStyle:UITableViewCellSelectionStyleGray];
   
    return cell;
}

- (NSString *)tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section
{
    if (section == 0) {
        return NSLocalizedString(@"Exchange Student Guide",@"");
    } else {
        return NSLocalizedString(@"Other information",@"");
    }
    return @"Something goes wrong";
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    if ([indexPath section] == 0) {
        GuideViewController *guide = [[GuideViewController alloc] init];
        [guide setSection_guide:[indexPath row]];
        [[self navigationController] pushViewController:guide animated:YES];
    } else {
         DetailViewController *detail = [[DetailViewController alloc] init];
        [detail setMaps:1];
        [detail setItem:[indexPath row]];
        [[self navigationController] pushViewController:detail animated:YES];
    }
}

- (void)showValenbisiInfo:(id)sender
{
    ValenbisiViewController *valenbisi = [[ValenbisiViewController alloc] init];
    [[self navigationController] pushViewController:valenbisi animated:YES];
}

- (void)showMetroSchedule:(id)sender
{
    ValenbisiViewController *valenbisi = [[ValenbisiViewController alloc] init];
    [valenbisi setItem:1];
    [[self navigationController] pushViewController:valenbisi animated:YES];
}

@end
