//
//  ValenbisiViewController.m
//  ETSINF-UPV
//
//  Created by Alberto Saez on 15/08/13.
//  Copyright (c) 2013 Alberto Saez. All rights reserved.
//

#import "ValenbisiViewController.h"

@implementation ValenbisiViewController
@synthesize item, activityIndicator;
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
        [[self navigationItem] setTitle:NSLocalizedString(@"Valenbisi Info",@"")];
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    CGRect rect = [[UIScreen mainScreen] bounds];
    CGSize screenSize = rect.size;
    [[self view] setFrame:CGRectMake(0, 0, 20, screenSize.height-49)];
    
    UITapGestureRecognizer *tapGesture = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(changeNavigationBar)];
    [self.view addGestureRecognizer:tapGesture];
    
    [activityIndicator setColor:[UIColor grayColor]];
    [activityIndicator setHidden:YES];
    
    if (item)
    {
        CGRect rect = [[UIScreen mainScreen] bounds];
        CGSize screenSize = rect.size;
        [[self navigationItem] setTitle:@"MetroValencia"];
        [[[self navigationController] navigationBar] setHidden:NO];
        
        UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0,0,screenSize.width,screenSize.height-49)];
        [webView autoresizesSubviews];
        webView.autoresizingMask=(UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth);
        NSURLRequest *request = [NSURLRequest requestWithURL:[NSURL URLWithString:@"http://www.metrovalencia.es/horarios.mobi.php"]];
        [webView setScalesPageToFit:YES];
        [webView loadRequest:request];
        [[self view] addSubview:webView];
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)changeNavigationBar
{
    if ([[[self navigationController] navigationBar] isHidden]){
        [[[self navigationController] navigationBar] setHidden:NO];
    } else {
        [[[self navigationController] navigationBar] setHidden:YES];
    }
}

- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error
{
    [activityIndicator setHidden:YES];
    [activityIndicator stopAnimating];
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:NSLocalizedString(@"Failure",@"")
                                                    message:NSLocalizedString(@"Your device has internet connection?",@"")
                                                   delegate:nil
                                          cancelButtonTitle:@"OK"
                                          otherButtonTitles:nil];
    [alert show];
}

- (void)webViewDidStartLoad:(UIWebView *)webView
{
    [activityIndicator setHidden:NO];
    [activityIndicator startAnimating];
}

- (void)webViewDidFinishLoad:(UIWebView *)webView
{
    [activityIndicator setHidden:YES];
    [activityIndicator stopAnimating];
}

@end
