//
//  VellaDetailViewController.m
//  ETSINF-UPV
//
//  Created by Alberto Saez on 21/08/13.
//  Copyright (c) 2013 Alberto Saez. All rights reserved.
//

#import "VellaDetailViewController.h"

@implementation VellaDetailViewController
@synthesize activityIndicator;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    UITapGestureRecognizer *tapGesture = [[UITapGestureRecognizer alloc] initWithTarget:self action:@selector(changeNavigationBar)];
    [self.view addGestureRecognizer:tapGesture];
    [[[self navigationController] navigationBar] setHidden:YES];
    [[self navigationItem] setTitle:@"Vella"];
    
    [activityIndicator setColor:[UIColor grayColor]];
    [activityIndicator setHidden:YES];

    // Do any additional setup after loading the view from its nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)changeNavigationBar
{
    if ([[[self navigationController] navigationBar] isHidden]){
        [[[self navigationController] navigationBar] setHidden:NO];
    } else {
        [[[self navigationController] navigationBar] setHidden:YES];
    }
}

- (IBAction)menuButton:(id)sender
{
    CGRect rect = [[UIScreen mainScreen] bounds];
    CGSize screenSize = rect.size;
    
    [[[self navigationController] navigationBar] setHidden:NO];
    UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0,0,screenSize.width,screenSize.height-49)];
    [webView autoresizesSubviews];
    webView.autoresizingMask=(UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth);
    NSURLRequest *request = [NSURLRequest requestWithURL:[NSURL URLWithString:@"http://www.lavella.es/doc/Menu_normal.pdf"]];
    [webView setScalesPageToFit:YES];
    [webView loadRequest:request];
    [[self view] addSubview:webView];
}

- (IBAction)sandwichButton:(id)sender
{
    CGRect rect = [[UIScreen mainScreen] bounds];
    CGSize screenSize = rect.size;
    
    [[[self navigationController] navigationBar] setHidden:NO];
    UIWebView *webView = [[UIWebView alloc] initWithFrame:CGRectMake(0,0,screenSize.width,screenSize.height-49)];
    [webView autoresizesSubviews];
    webView.autoresizingMask=(UIViewAutoresizingFlexibleHeight | UIViewAutoresizingFlexibleWidth);
    NSURLRequest *request = [NSURLRequest requestWithURL:[NSURL URLWithString:@"http://www.lavella.es/doc/Bocadillo.pdf"]];
    [webView setScalesPageToFit:YES];
    [webView loadRequest:request];
    [[self view] addSubview:webView];
}

- (void)webView:(UIWebView *)webView didFailLoadWithError:(NSError *)error
{
    [activityIndicator setHidden:YES];
    [activityIndicator stopAnimating];
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:NSLocalizedString(@"Failure",@"")
                                                    message:NSLocalizedString(@"Your device has internet connection?",@"")
                                                   delegate:nil
                                          cancelButtonTitle:@"OK"
                                          otherButtonTitles:nil];
    [alert show];
}

- (void)webViewDidStartLoad:(UIWebView *)webView
{
    [activityIndicator setHidden:NO];
    [activityIndicator startAnimating];
}

- (void)webViewDidFinishLoad:(UIWebView *)webView
{
    [activityIndicator setHidden:YES];
    [activityIndicator stopAnimating];
}

@end
